diff --git a/doc/builtins.ps b/doc/builtins.ps
index 9325009a..c1c4e33e 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -1911,816 +1911,829 @@ F1<ad65>3.612 E F0 -.1(wa)3.612 G 3.612(sb).1 G 1.113
 -.4 F F3 .618(COMMAND EXE-)3.118 F .643(CUTION ENVIR)184 424.8 R(ONMENT)
 -.27 E F0(abo)2.893 E -.15(ve)-.15 G .643
 (\), and may cause subshells to e).15 F .643(xit before e)-.15 F -.15
-(xe)-.15 G .642(cuting all).15 F(the commands in the subshell.)184 436.8
-Q F1<ad66>144 448.8 Q F0(Disable pathname e)30.97 E(xpansion.)-.15 E F1
-<ad68>144 460.8 Q F0 2.238(Remember the location of commands as the)
+(xe)-.15 G .642(cuting all).15 F .015(the commands in the subshell.)184
+436.8 R .016(If a shell function e)5.015 F -.15(xe)-.15 G .016
+(cutes in a conte).15 F .016(xt where)-.15 F F1<ad65>2.516 E F0 .016
+(is being)2.516 F .348(ignored, e)184 448.8 R -.15(ve)-.25 G 2.848(ni)
+.15 G(f)-2.848 E F1<ad65>2.848 E F0 .347(is set, none of the commands e)
+2.848 F -.15(xe)-.15 G .347(cuted within the function body will).15 F
+1.238(be af)184 460.8 R 1.238(fected by the)-.25 F F1<ad65>3.738 E F0
+3.738(setting. If)3.738 F 3.738(as)3.738 G 1.238(hell function sets)
+-3.738 F F1<ad65>3.738 E F0 1.238(while e)3.738 F -.15(xe)-.15 G 1.239
+(cuting in a conte).15 F(xt)-.15 E(where)184 472.8 Q F1<ad65>3.154 E F0
+.654(is ignored, that setting will not ha)3.154 F .953 -.15(ve a)-.2 H
+.953 -.15(ny e).15 H -.25(ff).15 G .653
+(ect until the command containing).25 F(the function call completes.)184
+484.8 Q F1<ad66>144 496.8 Q F0(Disable pathname e)30.97 E(xpansion.)-.15
+E F1<ad68>144 508.8 Q F0 2.238(Remember the location of commands as the)
 28.74 F 4.738(ya)-.15 G 2.239(re look)-4.738 F 2.239(ed up for e)-.1 F
 -.15(xe)-.15 G 4.739(cution. This).15 F(is)4.739 E(enabled by def)184
-472.8 Q(ault.)-.1 E F1<ad6b>144 484.8 Q F0 .514(All ar)28.74 F .514
+520.8 Q(ault.)-.1 E F1<ad6b>144 532.8 Q F0 .514(All ar)28.74 F .514
 (guments in the form of assignment statements are placed in the en)-.18
 F .513(vironment for a)-.4 F
-(command, not just those that precede the command name.)184 496.8 Q F1
-<ad6d>144 508.8 Q F0 .148(Monitor mode.)25.97 F .148
+(command, not just those that precede the command name.)184 544.8 Q F1
+<ad6d>144 556.8 Q F0 .148(Monitor mode.)25.97 F .148
 (Job control is enabled.)5.148 F .149(This option is on by def)5.148 F
 .149(ault for interacti)-.1 F .449 -.15(ve s)-.25 H(hells).15 E .651
-(on systems that support it \(see)184 520.8 R F3 .651(JOB CONTR)3.151 F
+(on systems that support it \(see)184 568.8 R F3 .651(JOB CONTR)3.151 F
 (OL)-.27 E F0(abo)2.901 E -.15(ve)-.15 G 3.151(\). All).15 F .65
-(processes run in a separate)3.151 F .678(process group.)184 532.8 R
+(processes run in a separate)3.151 F .678(process group.)184 580.8 R
 .679(When a background job completes, the shell prints a line containin\
-g its)5.678 F -.15(ex)184 544.8 S(it status.).15 E F1<ad6e>144 556.8 Q
+g its)5.678 F -.15(ex)184 592.8 S(it status.).15 E F1<ad6e>144 604.8 Q
 F0 .653(Read commands b)28.74 F .653(ut do not e)-.2 F -.15(xe)-.15 G
 .653(cute them.).15 F .652(This may be used to check a shell script for)
-5.653 F(syntax errors.)184 568.8 Q(This is ignored by interacti)5 E .3
--.15(ve s)-.25 H(hells.).15 E F1<ad6f>144 580.8 Q F2(option\255name)2.5
-E F0(The)184 592.8 Q F2(option\255name)2.5 E F0(can be one of the follo)
-2.5 E(wing:)-.25 E F1(allexport)184 604.8 Q F0(Same as)224 616.8 Q F1
-<ad61>2.5 E F0(.)A F1(braceexpand)184 628.8 Q F0(Same as)224 640.8 Q F1
-<ad42>2.5 E F0(.)A F1(emacs)184 652.8 Q F0 .089
+5.653 F(syntax errors.)184 616.8 Q(This is ignored by interacti)5 E .3
+-.15(ve s)-.25 H(hells.).15 E F1<ad6f>144 628.8 Q F2(option\255name)2.5
+E F0(The)184 640.8 Q F2(option\255name)2.5 E F0(can be one of the follo)
+2.5 E(wing:)-.25 E F1(allexport)184 652.8 Q F0(Same as)224 664.8 Q F1
+<ad61>2.5 E F0(.)A F1(braceexpand)184 676.8 Q F0(Same as)224 688.8 Q F1
+<ad42>2.5 E F0(.)A F1(emacs)184 700.8 Q F0 .089
 (Use an emacs-style command line editing interf)13.9 F 2.589(ace. This)
 -.1 F .089(is enabled by def)2.589 F(ault)-.1 E .95
-(when the shell is interacti)224 664.8 R -.15(ve)-.25 G 3.45(,u).15 G
+(when the shell is interacti)224 712.8 R -.15(ve)-.25 G 3.45(,u).15 G
 .95(nless the shell is started with the)-3.45 F F1(\255\255noediting)
-3.45 E F0 2.5(option. This)224 676.8 R(also af)2.5 E
+3.45 E F0 2.5(option. This)224 724.8 R(also af)2.5 E
 (fects the editing interf)-.25 E(ace used for)-.1 E F1 -.18(re)2.5 G
-(ad \255e).18 E F0(.)A F1(err)184 688.8 Q(exit)-.18 E F0(Same as)11.31 E
-F1<ad65>2.5 E F0(.)A F1(errtrace)184 700.8 Q F0(Same as)5.03 E F1<ad45>
-2.5 E F0(.)A(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(14)198.725 E 0
-Cg EP
+(ad \255e).18 E F0(.)A(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(14)
+198.725 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF(functrace)184 84 Q F0(Same as)224 96 Q F1<ad54>2.5 E F0
-(.)A F1(hashall)184 108 Q F0(Same as)9.43 E F1<ad68>2.5 E F0(.)A F1
-(histexpand)184 120 Q F0(Same as)224 132 Q F1<ad48>2.5 E F0(.)A F1
-(history)184 144 Q F0 .586(Enable command history)10 F 3.087(,a)-.65 G
-3.087(sd)-3.087 G .587(escribed abo)-3.087 F .887 -.15(ve u)-.15 H(nder)
-.15 E/F2 9/Times-Bold@0 SF(HIST)3.087 E(OR)-.162 E(Y)-.315 E/F3 9
-/Times-Roman@0 SF(.)A F0 .587(This option is)5.087 F(on by def)224 156 Q
+/Times-Bold@0 SF(err)184 84 Q(exit)-.18 E F0(Same as)11.31 E F1<ad65>2.5
+E F0(.)A F1(errtrace)184 96 Q F0(Same as)5.03 E F1<ad45>2.5 E F0(.)A F1
+(functrace)184 108 Q F0(Same as)224 120 Q F1<ad54>2.5 E F0(.)A F1
+(hashall)184 132 Q F0(Same as)9.43 E F1<ad68>2.5 E F0(.)A F1(histexpand)
+184 144 Q F0(Same as)224 156 Q F1<ad48>2.5 E F0(.)A F1(history)184 168 Q
+F0 .586(Enable command history)10 F 3.087(,a)-.65 G 3.087(sd)-3.087 G
+.587(escribed abo)-3.087 F .887 -.15(ve u)-.15 H(nder).15 E/F2 9
+/Times-Bold@0 SF(HIST)3.087 E(OR)-.162 E(Y)-.315 E/F3 9/Times-Roman@0 SF
+(.)A F0 .587(This option is)5.087 F(on by def)224 180 Q
 (ault in interacti)-.1 E .3 -.15(ve s)-.25 H(hells.).15 E F1(ignor)184
-168 Q(eeof)-.18 E F0 1.657(The ef)224 180 R 1.657
+192 Q(eeof)-.18 E F0 1.657(The ef)224 204 R 1.657
 (fect is as if the shell command)-.25 F/F4 10/Courier@0 SF(IGNOREEOF=10)
 4.156 E F0 1.656(had been e)4.156 F -.15(xe)-.15 G(cuted).15 E(\(see)224
-192 Q F1(Shell V)2.5 E(ariables)-.92 E F0(abo)2.5 E -.15(ve)-.15 G(\).)
-.15 E F1 -.1(ke)184 204 S(yw).1 E(ord)-.1 E F0(Same as)224 216 Q F1
-<ad6b>2.5 E F0(.)A F1(monitor)184 228 Q F0(Same as)5.56 E F1<ad6d>2.5 E
-F0(.)A F1(noclob)184 240 Q(ber)-.1 E F0(Same as)224 252 Q F1<ad43>2.5 E
-F0(.)A F1(noexec)184 264 Q F0(Same as)11.12 E F1<ad6e>2.5 E F0(.)A F1
-(noglob)184 276 Q F0(Same as)11.1 E F1<ad66>2.5 E F0(.)A F1(nolog)184
-288 Q F0(Currently ignored.)16.66 E F1(notify)184 300 Q F0(Same as)15 E
-F1<ad62>2.5 E F0(.)A F1(nounset)184 312 Q F0(Same as)6.66 E F1<ad75>2.5
-E F0(.)A F1(onecmd)184 324 Q F0(Same as)6.67 E F1<ad74>2.5 E F0(.)A F1
-(ph)184 336 Q(ysical)-.15 E F0(Same as)5.14 E F1<ad50>2.5 E F0(.)A F1
-(pipefail)184 348 Q F0 1.029(If set, the return v)7.77 F 1.029
+216 Q F1(Shell V)2.5 E(ariables)-.92 E F0(abo)2.5 E -.15(ve)-.15 G(\).)
+.15 E F1 -.1(ke)184 228 S(yw).1 E(ord)-.1 E F0(Same as)224 240 Q F1
+<ad6b>2.5 E F0(.)A F1(monitor)184 252 Q F0(Same as)5.56 E F1<ad6d>2.5 E
+F0(.)A F1(noclob)184 264 Q(ber)-.1 E F0(Same as)224 276 Q F1<ad43>2.5 E
+F0(.)A F1(noexec)184 288 Q F0(Same as)11.12 E F1<ad6e>2.5 E F0(.)A F1
+(noglob)184 300 Q F0(Same as)11.1 E F1<ad66>2.5 E F0(.)A F1(nolog)184
+312 Q F0(Currently ignored.)16.66 E F1(notify)184 324 Q F0(Same as)15 E
+F1<ad62>2.5 E F0(.)A F1(nounset)184 336 Q F0(Same as)6.66 E F1<ad75>2.5
+E F0(.)A F1(onecmd)184 348 Q F0(Same as)6.67 E F1<ad74>2.5 E F0(.)A F1
+(ph)184 360 Q(ysical)-.15 E F0(Same as)5.14 E F1<ad50>2.5 E F0(.)A F1
+(pipefail)184 372 Q F0 1.029(If set, the return v)7.77 F 1.029
 (alue of a pipeline is the v)-.25 F 1.03
-(alue of the last \(rightmost\) com-)-.25 F 1.137(mand to e)224 360 R
+(alue of the last \(rightmost\) com-)-.25 F 1.137(mand to e)224 384 R
 1.136
 (xit with a non-zero status, or zero if all commands in the pipeline)
--.15 F -.15(ex)224 372 S(it successfully).15 E 5(.T)-.65 G
-(his option is disabled by def)-5 E(ault.)-.1 E F1(posix)184 384 Q F0
+-.15 F -.15(ex)224 396 S(it successfully).15 E 5(.T)-.65 G
+(his option is disabled by def)-5 E(ault.)-.1 E F1(posix)184 408 Q F0
 2.09(Change the beha)17.77 F 2.091(vior of)-.2 F F1(bash)4.591 E F0
 2.091(where the def)4.591 F 2.091(ault operation dif)-.1 F 2.091
-(fers from the)-.25 F(POSIX standard to match the standard \()224 396 Q
-/F5 10/Times-Italic@0 SF(posix mode)A F0(\).)A F1(pri)184 408 Q(vileged)
--.1 E F0(Same as)224 420 Q F1<ad70>2.5 E F0(.)A F1 -.1(ve)184 432 S
-(rbose).1 E F0(Same as)7.33 E F1<ad76>2.5 E F0(.)A F1(vi)184 444 Q F0
+(fers from the)-.25 F(POSIX standard to match the standard \()224 420 Q
+/F5 10/Times-Italic@0 SF(posix mode)A F0(\).)A F1(pri)184 432 Q(vileged)
+-.1 E F0(Same as)224 444 Q F1<ad70>2.5 E F0(.)A F1 -.1(ve)184 456 S
+(rbose).1 E F0(Same as)7.33 E F1<ad76>2.5 E F0(.)A F1(vi)184 468 Q F0
 1.466(Use a vi-style command line editing interf)32.22 F 3.965
 (ace. This)-.1 F 1.465(also af)3.965 F 1.465(fects the editing)-.25 F
-(interf)224 456 Q(ace used for)-.1 E F1 -.18(re)2.5 G(ad \255e).18 E F0
-(.)A F1(xtrace)184 468 Q F0(Same as)13.35 E F1<ad78>2.5 E F0(.)A(If)184
-486 Q F1<ad6f>3.052 E F0 .552(is supplied with no)3.052 F F5
+(interf)224 480 Q(ace used for)-.1 E F1 -.18(re)2.5 G(ad \255e).18 E F0
+(.)A F1(xtrace)184 492 Q F0(Same as)13.35 E F1<ad78>2.5 E F0(.)A(If)184
+510 Q F1<ad6f>3.052 E F0 .552(is supplied with no)3.052 F F5
 (option\255name)3.053 E F0 3.053(,t)C .553(he v)-3.053 F .553
 (alues of the current options are printed.)-.25 F(If)5.553 E F1(+o)184
-498 Q F0 1.072(is supplied with no)3.572 F F5(option\255name)3.572 E F0
+522 Q F0 1.072(is supplied with no)3.572 F F5(option\255name)3.572 E F0
 3.572(,a)C 1.071(series of)-.001 F F1(set)3.571 E F0 1.071
 (commands to recreate the current)3.571 F
-(option settings is displayed on the standard output.)184 510 Q F1<ad70>
-144 522 Q F0 -.45(Tu)28.74 G 1.071(rn on).45 F F5(privile)4.821 E -.1
+(option settings is displayed on the standard output.)184 534 Q F1<ad70>
+144 546 Q F0 -.45(Tu)28.74 G 1.071(rn on).45 F F5(privile)4.821 E -.1
 (ge)-.4 G(d).1 E F0 3.572(mode. In)4.341 F 1.072(this mode, the)3.572 F
 F2($ENV)3.572 E F0(and)3.322 E F2($B)3.572 E(ASH_ENV)-.27 E F0 1.072
 (\214les are not pro-)3.322 F 1.501
-(cessed, shell functions are not inherited from the en)184 534 R 1.5
-(vironment, and the)-.4 F F2(SHELLOPTS)4 E F3(,)A F2 -.27(BA)184 546 S
+(cessed, shell functions are not inherited from the en)184 558 R 1.5
+(vironment, and the)-.4 F F2(SHELLOPTS)4 E F3(,)A F2 -.27(BA)184 570 S
 (SHOPTS).27 E F3(,)A F2(CDP)2.774 E -.855(AT)-.666 G(H).855 E F3(,)A F0
 (and)2.774 E F2(GLOBIGNORE)3.024 E F0 -.25(va)2.774 G .524
 (riables, if the).25 F 3.025(ya)-.15 G .525(ppear in the en)-3.025 F
-(vironment,)-.4 E .38(are ignored.)184 558 R .38
+(vironment,)-.4 E .38(are ignored.)184 582 R .38
 (If the shell is started with the ef)5.38 F(fecti)-.25 E .679 -.15(ve u)
 -.25 H .379(ser \(group\) id not equal to the real).15 F .461
-(user \(group\) id, and the)184 570 R F1<ad70>2.961 E F0 .461
+(user \(group\) id, and the)184 594 R F1<ad70>2.961 E F0 .461
 (option is not supplied, these actions are tak)2.961 F .462
-(en and the ef)-.1 F(fec-)-.25 E(ti)184 582 Q .695 -.15(ve u)-.25 H .395
+(en and the ef)-.1 F(fec-)-.25 E(ti)184 606 Q .695 -.15(ve u)-.25 H .395
 (ser id is set to the real user id.).15 F .395(If the)5.395 F F1<ad70>
 2.895 E F0 .394(option is supplied at startup, the ef)2.895 F(fecti)-.25
-E -.15(ve)-.25 G .386(user id is not reset.)184 594 R -.45(Tu)5.386 G
+E -.15(ve)-.25 G .386(user id is not reset.)184 618 R -.45(Tu)5.386 G
 .386(rning this option of).45 F 2.886(fc)-.25 G .387(auses the ef)-2.886
 F(fecti)-.25 E .687 -.15(ve u)-.25 H .387(ser and group ids to be).15 F
-(set to the real user and group ids.)184 606 Q F1<ad74>144 618 Q F0
+(set to the real user and group ids.)184 630 Q F1<ad74>144 642 Q F0
 (Exit after reading and e)30.97 E -.15(xe)-.15 G(cuting one command.).15
-E F1<ad75>144 630 Q F0 -.35(Tr)28.74 G .044(eat unset v).35 F .044(aria\
+E F1<ad75>144 654 Q F0 -.35(Tr)28.74 G .044(eat unset v).35 F .044(aria\
 bles and parameters other than the special parameters "@" and "*" as an)
--.25 F .182(error when performing parameter e)184 642 R 2.682
+-.25 F .182(error when performing parameter e)184 666 R 2.682
 (xpansion. If)-.15 F -.15(ex)2.682 G .183
 (pansion is attempted on an unset v).15 F(ari-)-.25 E .746
-(able or parameter)184 654 R 3.246(,t)-.4 G .746
+(able or parameter)184 678 R 3.246(,t)-.4 G .746
 (he shell prints an error message, and, if not interacti)-3.246 F -.15
 (ve)-.25 G 3.246(,e).15 G .746(xits with a)-3.396 F(non-zero status.)184
-666 Q F1<ad76>144 678 Q F0(Print shell input lines as the)29.3 E 2.5(ya)
--.15 G(re read.)-2.5 E F1<ad78>144 690 Q F0 .315(After e)29.3 F .315
+690 Q F1<ad76>144 702 Q F0(Print shell input lines as the)29.3 E 2.5(ya)
+-.15 G(re read.)-2.5 E F1<ad78>144 714 Q F0 .315(After e)29.3 F .315
 (xpanding each)-.15 F F5 .315(simple command)2.815 F F0(,)A F1 -.25(fo)
 2.815 G(r).25 E F0(command,)2.815 E F1(case)2.815 E F0(command,)2.815 E
-F1(select)2.815 E F0(command,)2.815 E 1.236(or arithmetic)184 702 R F1
--.25(fo)3.736 G(r).25 E F0 1.236(command, display the e)3.736 F 1.236
-(xpanded v)-.15 F 1.236(alue of)-.25 F F2(PS4)3.736 E F3(,)A F0(follo)
-3.486 E 1.236(wed by the com-)-.25 F(mand and its e)184 714 Q
-(xpanded ar)-.15 E(guments or associated w)-.18 E(ord list.)-.1 E
-(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(15)198.725 E 0 Cg EP
+F1(select)2.815 E F0(command,)2.815 E 3.26(or arithmetic)184 726 R F1
+-.25(fo)5.76 G(r).25 E F0 3.26(command, display the e)5.76 F 3.26
+(xpanded v)-.15 F 3.26(alue of)-.25 F F2(PS4)5.76 E F3(,)A F0(follo)
+5.509 E 3.259(wed by the)-.25 F(GNU Bash-4.2)72 768 Q(2004 Apr 20)
+148.735 E(15)198.725 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
-(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF<ad42>144 84 Q F0 2.578(The shell performs brace e)27.63
-F 2.578(xpansion \(see)-.15 F F1 2.578(Brace Expansion)5.078 F F0(abo)
-5.078 E -.15(ve)-.15 G 5.079(\). This).15 F 2.579(is on by)5.079 F(def)
-184 96 Q(ault.)-.1 E F1<ad43>144 108 Q F0 .214(If set,)27.08 F F1(bash)
-2.714 E F0 .214(does not o)2.714 F -.15(ve)-.15 G .214(rwrite an e).15 F
-.214(xisting \214le with the)-.15 F F1(>)2.714 E F0(,)A F1(>&)2.714 E F0
-2.713(,a)C(nd)-2.713 E F1(<>)2.713 E F0 .213(redirection opera-)2.713 F
-3.053(tors. This)184 120 R .553(may be o)3.053 F -.15(ve)-.15 G .553
+(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E
+(command and its e)184 84 Q(xpanded ar)-.15 E(guments or associated w)
+-.18 E(ord list.)-.1 E/F1 10/Times-Bold@0 SF<ad42>144 96 Q F0 2.578
+(The shell performs brace e)27.63 F 2.578(xpansion \(see)-.15 F F1 2.578
+(Brace Expansion)5.078 F F0(abo)5.078 E -.15(ve)-.15 G 5.079(\). This)
+.15 F 2.579(is on by)5.079 F(def)184 108 Q(ault.)-.1 E F1<ad43>144 120 Q
+F0 .214(If set,)27.08 F F1(bash)2.714 E F0 .214(does not o)2.714 F -.15
+(ve)-.15 G .214(rwrite an e).15 F .214(xisting \214le with the)-.15 F F1
+(>)2.714 E F0(,)A F1(>&)2.714 E F0 2.713(,a)C(nd)-2.713 E F1(<>)2.713 E
+F0 .213(redirection opera-)2.713 F 3.053(tors. This)184 132 R .553
+(may be o)3.053 F -.15(ve)-.15 G .553
 (rridden when creating output \214les by using the redirection opera-)
-.15 F(tor)184 132 Q F1(>|)2.5 E F0(instead of)2.5 E F1(>)2.5 E F0(.)A F1
-<ad45>144 144 Q F0 .104(If set, an)27.63 F 2.604(yt)-.15 G .104(rap on)
+.15 F(tor)184 144 Q F1(>|)2.5 E F0(instead of)2.5 E F1(>)2.5 E F0(.)A F1
+<ad45>144 156 Q F0 .104(If set, an)27.63 F 2.604(yt)-.15 G .104(rap on)
 -2.604 F F1(ERR)2.604 E F0 .103
 (is inherited by shell functions, command substitutions, and com-)2.604
-F .838(mands e)184 156 R -.15(xe)-.15 G .838(cuted in a subshell en).15
+F .838(mands e)184 168 R -.15(xe)-.15 G .838(cuted in a subshell en).15
 F 3.338(vironment. The)-.4 F F1(ERR)3.338 E F0 .839
-(trap is normally not inherited in)3.339 F(such cases.)184 168 Q F1
-<ad48>144 180 Q F0(Enable)26.52 E F1(!)3.032 E F0 .532
+(trap is normally not inherited in)3.339 F(such cases.)184 180 Q F1
+<ad48>144 192 Q F0(Enable)26.52 E F1(!)3.032 E F0 .532
 (style history substitution.)5.532 F .531(This option is on by def)5.532
-F .531(ault when the shell is inter)-.1 F(-)-.2 E(acti)184 192 Q -.15
-(ve)-.25 G(.).15 E F1<ad50>144 204 Q F0 .959
+F .531(ault when the shell is inter)-.1 F(-)-.2 E(acti)184 204 Q -.15
+(ve)-.25 G(.).15 E F1<ad50>144 216 Q F0 .959
 (If set, the shell does not resolv)28.19 F 3.459(es)-.15 G .959
 (ymbolic links when e)-3.459 F -.15(xe)-.15 G .96
 (cuting commands such as).15 F F1(cd)3.46 E F0 2.822
-(that change the current w)184 216 R 2.822(orking directory)-.1 F 7.822
+(that change the current w)184 228 R 2.822(orking directory)-.1 F 7.822
 (.I)-.65 G 5.322(tu)-7.822 G 2.822(ses the ph)-5.322 F 2.821
-(ysical directory structure)-.05 F 2.685(instead. By)184 228 R(def)2.685
+(ysical directory structure)-.05 F 2.685(instead. By)184 240 R(def)2.685
 E(ault,)-.1 E F1(bash)2.686 E F0(follo)2.686 E .186
 (ws the logical chain of directories when performing com-)-.25 F
-(mands which change the current directory)184 240 Q(.)-.65 E F1<ad54>144
-252 Q F0 .89(If set, an)27.63 F 3.39(yt)-.15 G .89(raps on)-3.39 F F1
+(mands which change the current directory)184 252 Q(.)-.65 E F1<ad54>144
+264 Q F0 .89(If set, an)27.63 F 3.39(yt)-.15 G .89(raps on)-3.39 F F1
 (DEB)3.39 E(UG)-.1 E F0(and)3.39 E F1(RETURN)3.39 E F0 .89
 (are inherited by shell functions, command)3.39 F 1.932
-(substitutions, and commands e)184 264 R -.15(xe)-.15 G 1.932
+(substitutions, and commands e)184 276 R -.15(xe)-.15 G 1.932
 (cuted in a subshell en).15 F 4.432(vironment. The)-.4 F F1(DEB)4.432 E
-(UG)-.1 E F0(and)4.432 E F1(RETURN)184 276 Q F0
-(traps are normally not inherited in such cases.)2.5 E F1<adad>144 288 Q
+(UG)-.1 E F0(and)4.432 E F1(RETURN)184 288 Q F0
+(traps are normally not inherited in such cases.)2.5 E F1<adad>144 300 Q
 F0 .401(If no ar)28.6 F .401(guments follo)-.18 F 2.901(wt)-.25 G .401
 (his option, then the positional parameters are unset.)-2.901 F
-(Otherwise,)5.4 E(the positional parameters are set to the)184 300 Q/F2
+(Otherwise,)5.4 E(the positional parameters are set to the)184 312 Q/F2
 10/Times-Italic@0 SF(ar)2.5 E(g)-.37 E F0(s, e)A -.15(ve)-.25 G 2.5(ni)
 .15 G 2.5(fs)-2.5 G(ome of them be)-2.5 E(gin with a)-.15 E F1<ad>2.5 E
-F0(.)A F1<ad>144 312 Q F0 1.944
+F0(.)A F1<ad>144 324 Q F0 1.944
 (Signal the end of options, cause all remaining)34.3 F F2(ar)4.444 E(g)
 -.37 E F0 4.444(st)C 4.444(ob)-4.444 G 4.445(ea)-4.444 G 1.945
-(ssigned to the positional)-4.445 F 3.446(parameters. The)184 324 R F1
+(ssigned to the positional)-4.445 F 3.446(parameters. The)184 336 R F1
 <ad78>3.446 E F0(and)3.446 E F1<ad76>3.446 E F0 .945
 (options are turned of)3.446 F 3.445(f. If)-.25 F .945(there are no)
 3.445 F F2(ar)3.445 E(g)-.37 E F0 .945(s, the positional)B
-(parameters remain unchanged.)184 336 Q .425(The options are of)144
-352.8 R 2.925(fb)-.25 G 2.925(yd)-2.925 G(ef)-2.925 E .425
+(parameters remain unchanged.)184 348 Q .425(The options are of)144
+364.8 R 2.925(fb)-.25 G 2.925(yd)-2.925 G(ef)-2.925 E .425
 (ault unless otherwise noted.)-.1 F .425
 (Using + rather than \255 causes these options)5.425 F .178
-(to be turned of)144 364.8 R 2.678(f. The)-.25 F .178
+(to be turned of)144 376.8 R 2.678(f. The)-.25 F .178
 (options can also be speci\214ed as ar)2.678 F .178(guments to an in)
 -.18 F -.2(vo)-.4 G .177(cation of the shell.).2 F(The)5.177 E .066
-(current set of options may be found in)144 376.8 R F1<24ad>2.566 E F0
+(current set of options may be found in)144 388.8 R F1<24ad>2.566 E F0
 5.066(.T)C .066(he return status is al)-5.066 F -.1(wa)-.1 G .066
 (ys true unless an in).1 F -.25(va)-.4 G .067(lid option).25 F
-(is encountered.)144 388.8 Q F1(shift)108 405.6 Q F0([)2.5 E F2(n)A F0
-(])A .429(The positional parameters from)144 417.6 R F2(n)2.929 E F0
+(is encountered.)144 400.8 Q F1(shift)108 417.6 Q F0([)2.5 E F2(n)A F0
+(])A .429(The positional parameters from)144 429.6 R F2(n)2.929 E F0
 .429(+1 ... are renamed to)B F1 .429($1 ....)2.929 F F0 -.15(Pa)5.428 G
-.428(rameters represented by the num-).15 F(bers)144 429.6 Q F1($#)2.582
+.428(rameters represented by the num-).15 F(bers)144 441.6 Q F1($#)2.582
 E F0(do)2.582 E .082(wn to)-.25 F F1($#)2.582 E F0<ad>A F2(n)A F0 .082
 (+1 are unset.)B F2(n)5.442 E F0 .082(must be a non-ne)2.822 F -.05(ga)
 -.15 G(ti).05 E .383 -.15(ve n)-.25 H .083(umber less than or equal to)
 .15 F F1($#)2.583 E F0 5.083(.I)C(f)-5.083 E F2(n)2.943 E F0 .06
-(is 0, no parameters are changed.)144 441.6 R(If)5.06 E F2(n)2.92 E F0
+(is 0, no parameters are changed.)144 453.6 R(If)5.06 E F2(n)2.92 E F0
 .06(is not gi)2.8 F -.15(ve)-.25 G .06(n, it is assumed to be 1.).15 F
 (If)5.06 E F2(n)2.92 E F0 .06(is greater than)2.8 F F1($#)2.56 E F0 2.56
-(,t)C(he)-2.56 E .143(positional parameters are not changed.)144 453.6 R
+(,t)C(he)-2.56 E .143(positional parameters are not changed.)144 465.6 R
 .144(The return status is greater than zero if)5.143 F F2(n)3.004 E F0
 .144(is greater than)2.884 F F1($#)2.644 E F0
-(or less than zero; otherwise 0.)144 465.6 Q F1(shopt)108 482.4 Q F0([)
+(or less than zero; otherwise 0.)144 477.6 Q F1(shopt)108 494.4 Q F0([)
 2.5 E F1(\255pqsu)A F0 2.5(][)C F1<ad6f>-2.5 E F0 2.5(][)C F2(optname)
--2.5 E F0(...])2.5 E -.8(To)144 494.4 S .222(ggle the v).8 F .222
+-2.5 E F0(...])2.5 E -.8(To)144 506.4 S .222(ggle the v).8 F .222
 (alues of v)-.25 F .222(ariables controlling optional shell beha)-.25 F
 (vior)-.2 E 5.222(.W)-.55 G .222(ith no options, or with the)-5.622 F F1
 <ad70>2.722 E F0 .721(option, a list of all settable options is display\
-ed, with an indication of whether or not each is set.)144 506.4 R(The)
-144 518.4 Q F1<ad70>2.828 E F0 .327(option causes output to be displaye\
+ed, with an indication of whether or not each is set.)144 518.4 R(The)
+144 530.4 Q F1<ad70>2.828 E F0 .327(option causes output to be displaye\
 d in a form that may be reused as input.)2.828 F .327(Other options)
-5.327 F(ha)144 530.4 Q .3 -.15(ve t)-.2 H(he follo).15 E(wing meanings:)
--.25 E F1<ad73>144 542.4 Q F0(Enable \(set\) each)26.41 E F2(optname)2.5
-E F0(.)A F1<ad75>144 554.4 Q F0(Disable \(unset\) each)24.74 E F2
-(optname)2.5 E F0(.)A F1<ad71>144 566.4 Q F0 .003(Suppresses normal out\
+5.327 F(ha)144 542.4 Q .3 -.15(ve t)-.2 H(he follo).15 E(wing meanings:)
+-.25 E F1<ad73>144 554.4 Q F0(Enable \(set\) each)26.41 E F2(optname)2.5
+E F0(.)A F1<ad75>144 566.4 Q F0(Disable \(unset\) each)24.74 E F2
+(optname)2.5 E F0(.)A F1<ad71>144 578.4 Q F0 .003(Suppresses normal out\
 put \(quiet mode\); the return status indicates whether the)24.74 F F2
-(optname)2.504 E F0(is)2.504 E .256(set or unset.)180 578.4 R .256
+(optname)2.504 E F0(is)2.504 E .256(set or unset.)180 590.4 R .256
 (If multiple)5.256 F F2(optname)2.756 E F0(ar)2.756 E .256
 (guments are gi)-.18 F -.15(ve)-.25 G 2.756(nw).15 G(ith)-2.756 E F1
 <ad71>2.756 E F0 2.755(,t)C .255(he return status is zero if)-2.755 F
-(all)180 590.4 Q F2(optnames)2.5 E F0(are enabled; non-zero otherwise.)
-2.5 E F1<ad6f>144 602.4 Q F0(Restricts the v)25.3 E(alues of)-.25 E F2
+(all)180 602.4 Q F2(optnames)2.5 E F0(are enabled; non-zero otherwise.)
+2.5 E F1<ad6f>144 614.4 Q F0(Restricts the v)25.3 E(alues of)-.25 E F2
 (optname)2.5 E F0(to be those de\214ned for the)2.5 E F1<ad6f>2.5 E F0
 (option to the)2.5 E F1(set)2.5 E F0 -.2(bu)2.5 G(iltin.).2 E .624
-(If either)144 619.2 R F1<ad73>3.124 E F0(or)3.124 E F1<ad75>3.124 E F0
+(If either)144 631.2 R F1<ad73>3.124 E F0(or)3.124 E F1<ad75>3.124 E F0
 .624(is used with no)3.124 F F2(optname)3.124 E F0(ar)3.124 E(guments,)
 -.18 E F1(shopt)3.124 E F0(sho)3.124 E .624
 (ws only those options which are)-.25 F 2.234(set or unset, respecti)144
-631.2 R -.15(ve)-.25 G(ly).15 E 7.234(.U)-.65 G 2.234
+643.2 R -.15(ve)-.25 G(ly).15 E 7.234(.U)-.65 G 2.234
 (nless otherwise noted, the)-7.234 F F1(shopt)4.734 E F0 2.234
-(options are disabled \(unset\) by)4.734 F(def)144 643.2 Q(ault.)-.1 E
-1.544(The return status when listing options is zero if all)144 660 R F2
+(options are disabled \(unset\) by)4.734 F(def)144 655.2 Q(ault.)-.1 E
+1.544(The return status when listing options is zero if all)144 672 R F2
 (optnames)4.044 E F0 1.545(are enabled, non-zero otherwise.)4.045 F .696
 (When setting or unsetting options, the return status is zero unless an)
-144 672 R F2(optname)3.196 E F0 .696(is not a v)3.196 F .695(alid shell)
--.25 F(option.)144 684 Q(The list of)144 700.8 Q F1(shopt)2.5 E F0
-(options is:)2.5 E F1(autocd)144 718.8 Q F0 .199
-(If set, a command name that is the name of a directory is e)11.11 F
--.15(xe)-.15 G .2(cuted as if it were the ar).15 F(gu-)-.18 E
-(ment to the)184 730.8 Q F1(cd)2.5 E F0 2.5(command. This)2.5 F
-(option is only used by interacti)2.5 E .3 -.15(ve s)-.25 H(hells.).15 E
-(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(16)198.725 E 0 Cg EP
+144 684 R F2(optname)3.196 E F0 .696(is not a v)3.196 F .695(alid shell)
+-.25 F(option.)144 696 Q(The list of)144 712.8 Q F1(shopt)2.5 E F0
+(options is:)2.5 E(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(16)
+198.725 E 0 Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF(cdable_v)144 84 Q(ars)-.1 E F0 .156(If set, an ar)184
-96 R .156(gument to the)-.18 F F1(cd)2.656 E F0 -.2(bu)2.656 G .155
+/Times-Bold@0 SF(autocd)144 84 Q F0 .199
+(If set, a command name that is the name of a directory is e)11.11 F
+-.15(xe)-.15 G .2(cuted as if it were the ar).15 F(gu-)-.18 E
+(ment to the)184 96 Q F1(cd)2.5 E F0 2.5(command. This)2.5 F
+(option is only used by interacti)2.5 E .3 -.15(ve s)-.25 H(hells.).15 E
+F1(cdable_v)144 108 Q(ars)-.1 E F0 .156(If set, an ar)184 120 R .156
+(gument to the)-.18 F F1(cd)2.656 E F0 -.2(bu)2.656 G .155
 (iltin command that is not a directory is assumed to be the).2 F
-(name of a v)184 108 Q(ariable whose v)-.25 E
-(alue is the directory to change to.)-.25 E F1(cdspell)144 120 Q F0
+(name of a v)184 132 Q(ariable whose v)-.25 E
+(alue is the directory to change to.)-.25 E F1(cdspell)144 144 Q F0
 1.055
 (If set, minor errors in the spelling of a directory component in a)
 10.55 F F1(cd)3.555 E F0 1.055(command will be)3.555 F 3.988
-(corrected. The)184 132 R 1.488(errors check)3.988 F 1.487
+(corrected. The)184 156 R 1.488(errors check)3.988 F 1.487
 (ed for are transposed characters, a missing character)-.1 F 3.987(,a)
--.4 G(nd)-3.987 E .77(one character too man)184 144 R 4.57 -.65(y. I)
+-.4 G(nd)-3.987 E .77(one character too man)184 168 R 4.57 -.65(y. I)
 -.15 H 3.27(fac).65 G .77
 (orrection is found, the corrected \214lename is printed, and)-3.27 F
-(the command proceeds.)184 156 Q(This option is only used by interacti)5
-E .3 -.15(ve s)-.25 H(hells.).15 E F1(checkhash)144 168 Q F0 2.08
-(If set,)184 180 R F1(bash)4.58 E F0 2.079
+(the command proceeds.)184 180 Q(This option is only used by interacti)5
+E .3 -.15(ve s)-.25 H(hells.).15 E F1(checkhash)144 192 Q F0 2.08
+(If set,)184 204 R F1(bash)4.58 E F0 2.079
 (checks that a command found in the hash table e)4.58 F 2.079
-(xists before trying to)-.15 F -.15(exe)184 192 S(cute it.).15 E
+(xists before trying to)-.15 F -.15(exe)184 216 S(cute it.).15 E
 (If a hashed command no longer e)5 E
-(xists, a normal path search is performed.)-.15 E F1(checkjobs)144 204 Q
-F0 .448(If set,)184 216 R F1(bash)2.948 E F0 .448
+(xists, a normal path search is performed.)-.15 E F1(checkjobs)144 228 Q
+F0 .448(If set,)184 240 R F1(bash)2.948 E F0 .448
 (lists the status of an)2.948 F 2.949(ys)-.15 G .449
 (topped and running jobs before e)-2.949 F .449(xiting an interacti)-.15
-F -.15(ve)-.25 G 3.439(shell. If)184 228 R(an)3.439 E 3.439(yj)-.15 G
+F -.15(ve)-.25 G 3.439(shell. If)184 252 R(an)3.439 E 3.439(yj)-.15 G
 .938(obs are running, this causes the e)-3.439 F .938
 (xit to be deferred until a second e)-.15 F .938(xit is)-.15 F 2.203
-(attempted without an interv)184 240 R 2.203(ening command \(see)-.15 F
+(attempted without an interv)184 264 R 2.203(ening command \(see)-.15 F
 /F2 9/Times-Bold@0 SF 2.203(JOB CONTR)4.703 F(OL)-.27 E F0(abo)4.453 E
--.15(ve)-.15 G 4.703(\). The).15 F(shell)4.704 E(al)184 252 Q -.1(wa)-.1
+-.15(ve)-.15 G 4.703(\). The).15 F(shell)4.704 E(al)184 276 Q -.1(wa)-.1
 G(ys postpones e).1 E(xiting if an)-.15 E 2.5(yj)-.15 G
-(obs are stopped.)-2.5 E F1(checkwinsize)144 264 Q F0 .797(If set,)184
-276 R F1(bash)3.297 E F0 .797(checks the windo)3.297 F 3.297(ws)-.25 G
+(obs are stopped.)-2.5 E F1(checkwinsize)144 288 Q F0 .797(If set,)184
+300 R F1(bash)3.297 E F0 .797(checks the windo)3.297 F 3.297(ws)-.25 G
 .796(ize after each command and, if necessary)-3.297 F 3.296(,u)-.65 G
-.796(pdates the)-3.296 F -.25(va)184 288 S(lues of).25 E F2(LINES)2.5 E
+.796(pdates the)-3.296 F -.25(va)184 312 S(lues of).25 E F2(LINES)2.5 E
 F0(and)2.25 E F2(COLUMNS)2.5 E/F3 9/Times-Roman@0 SF(.)A F1(cmdhist)144
-300 Q F0 1.202(If set,)6.11 F F1(bash)3.702 E F0 1.202(attempts to sa)
+324 Q F0 1.202(If set,)6.11 F F1(bash)3.702 E F0 1.202(attempts to sa)
 3.702 F 1.502 -.15(ve a)-.2 H 1.202
 (ll lines of a multiple-line command in the same history).15 F(entry)184
-312 Q 5(.T)-.65 G(his allo)-5 E
-(ws easy re-editing of multi-line commands.)-.25 E F1(compat31)144 324 Q
-F0 .42(If set,)184 336 R F1(bash)2.92 E F0 .42(changes its beha)2.92 F
+336 Q 5(.T)-.65 G(his allo)-5 E
+(ws easy re-editing of multi-line commands.)-.25 E F1(compat31)144 348 Q
+F0 .42(If set,)184 360 R F1(bash)2.92 E F0 .42(changes its beha)2.92 F
 .419(vior to that of v)-.2 F .419(ersion 3.1 with respect to quoted ar)
--.15 F(guments)-.18 E .461(to the)184 348 R F1([[)2.961 E F0 .462
+-.15 F(guments)-.18 E .461(to the)184 372 R F1([[)2.961 E F0 .462
 (conditional command')2.962 F(s)-.55 E F1(=~)2.962 E F0 .462
 (operator and locale-speci\214c string comparison when)2.962 F .71
-(using the)184 360 R F1([[)3.21 E F0 .71(conditional command')3.21 F(s)
+(using the)184 384 R F1([[)3.21 E F0 .71(conditional command')3.21 F(s)
 -.55 E F1(<)3.21 E F0(and)3.21 E F1(>)3.21 E F0 3.21(operators. Bash)
 3.21 F -.15(ve)3.21 G .71(rsions prior to bash-4.1).15 F .82
-(use ASCII collation and)184 372 R/F4 10/Times-Italic@0 SF(str)3.321 E
+(use ASCII collation and)184 396 R/F4 10/Times-Italic@0 SF(str)3.321 E
 (cmp)-.37 E F0 .821(\(3\); bash-4.1 and later use the current locale')
-.19 F 3.321(sc)-.55 G(ollation)-3.321 E(sequence and)184 384 Q F4(str)
-2.5 E(coll)-.37 E F0(\(3\).).51 E F1(compat32)144 396 Q F0 1.41(If set,)
-184 408 R F1(bash)3.91 E F0 1.41(changes its beha)3.91 F 1.409
+.19 F 3.321(sc)-.55 G(ollation)-3.321 E(sequence and)184 408 Q F4(str)
+2.5 E(coll)-.37 E F0(\(3\).).51 E F1(compat32)144 420 Q F0 1.41(If set,)
+184 432 R F1(bash)3.91 E F0 1.41(changes its beha)3.91 F 1.409
 (vior to that of v)-.2 F 1.409
 (ersion 3.2 with respect to locale-speci\214c)-.15 F .422
-(string comparison when using the)184 420 R F1([[)2.922 E F0 .422
+(string comparison when using the)184 444 R F1([[)2.922 E F0 .422
 (conditional command')2.922 F(s)-.55 E F1(<)2.922 E F0(and)2.922 E F1(>)
-2.923 E F0 .423(operators \(see pre-)2.923 F(vious item\).)184 432 Q F1
-(compat40)144 444 Q F0 1.41(If set,)184 456 R F1(bash)3.91 E F0 1.41
+2.923 E F0 .423(operators \(see pre-)2.923 F(vious item\).)184 456 Q F1
+(compat40)144 468 Q F0 1.41(If set,)184 480 R F1(bash)3.91 E F0 1.41
 (changes its beha)3.91 F 1.409(vior to that of v)-.2 F 1.409
 (ersion 4.0 with respect to locale-speci\214c)-.15 F 2.007
-(string comparison when using the)184 468 R F1([[)4.507 E F0 2.008
+(string comparison when using the)184 492 R F1([[)4.507 E F0 2.008
 (conditional command')4.507 F(s)-.55 E F1(<)4.508 E F0(and)4.508 E F1(>)
-4.508 E F0 2.008(operators \(see)4.508 F .77(description of)184 480 R F1
+4.508 E F0 2.008(operators \(see)4.508 F .77(description of)184 504 R F1
 (compat31)3.27 E F0 3.269(\)a)C .769(nd the ef)-3.269 F .769
 (fect of interrupting a command list.)-.25 F .769(Bash v)5.769 F
 (ersions)-.15 E .086
-(4.0 and later interrupt the list as if the shell recei)184 492 R -.15
+(4.0 and later interrupt the list as if the shell recei)184 516 R -.15
 (ve)-.25 G 2.587(dt).15 G .087(he interrupt; pre)-2.587 F .087(vious v)
--.25 F .087(ersions con-)-.15 F(tinue with the ne)184 504 Q
-(xt command in the list.)-.15 E F1(compat41)144 516 Q F0 1.444(If set,)
-184 528 R F1(bash)3.944 E F0 3.944(,w)C 1.443
+-.25 F .087(ersions con-)-.15 F(tinue with the ne)184 528 Q
+(xt command in the list.)-.15 E F1(compat41)144 540 Q F0 1.444(If set,)
+184 552 R F1(bash)3.944 E F0 3.944(,w)C 1.443
 (hen in posix mode, treats a single quote in a double-quoted parameter)
--3.944 F -.15(ex)184 540 S .958(pansion as a special character).15 F
+-3.944 F -.15(ex)184 564 S .958(pansion as a special character).15 F
 5.958(.T)-.55 G .959(he single quotes must match \(an e)-5.958 F -.15
 (ve)-.25 G 3.459(nn).15 G .959(umber\) and)-3.459 F .59
-(the characters between the single quotes are considered quoted.)184 552
+(the characters between the single quotes are considered quoted.)184 576
 R .59(This is the beha)5.59 F .59(vior of)-.2 F .589
-(posix mode through v)184 564 R .589(ersion 4.1.)-.15 F .589(The def)
+(posix mode through v)184 588 R .589(ersion 4.1.)-.15 F .589(The def)
 5.589 F .589(ault bash beha)-.1 F .589(vior remains as in pre)-.2 F .59
-(vious v)-.25 F(er)-.15 E(-)-.2 E(sions.)184 576 Q F1
-(complete_fullquote)144 588 Q F0 .654(If set,)184 600 R F1(bash)3.153 E
+(vious v)-.25 F(er)-.15 E(-)-.2 E(sions.)184 600 Q F1
+(complete_fullquote)144 612 Q F0 .654(If set,)184 624 R F1(bash)3.153 E
 F0 .653(quotes all shell metacharacters in \214lenames and directory na\
-mes when per)3.153 F(-)-.2 E 1.524(forming completion.)184 612 R 1.524
+mes when per)3.153 F(-)-.2 E 1.524(forming completion.)184 636 R 1.524
 (If not set,)6.524 F F1(bash)4.024 E F0(remo)4.024 E -.15(ve)-.15 G
 4.024(sm).15 G 1.524(etacharacters such as the dollar sign)-4.024 F
 2.667(from the set of characters that will be quoted in completed \214l\
-enames when these)184 624 R .028(metacharacters appear in shell v)184
-636 R .028(ariable references in w)-.25 F .029(ords to be completed.)-.1
-F .029(This means)5.029 F 1.073(that dollar signs in v)184 648 R 1.073
+enames when these)184 648 R .028(metacharacters appear in shell v)184
+660 R .028(ariable references in w)-.25 F .029(ords to be completed.)-.1
+F .029(This means)5.029 F 1.073(that dollar signs in v)184 672 R 1.073
 (ariable names that e)-.25 F 1.073
 (xpand to directories will not be quoted; ho)-.15 F(w-)-.25 E -2.15 -.25
-(ev e)184 660 T 1.922 -.4(r, a).25 H 1.422 -.15(ny d).4 H 1.123
+(ev e)184 684 T 1.922 -.4(r, a).25 H 1.422 -.15(ny d).4 H 1.123
 (ollar signs appearing in \214lenames will not be quoted, either).15 F
 6.123(.T)-.55 G 1.123(his is acti)-6.123 F -.15(ve)-.25 G .59
 (only when bash is using backslashes to quote completed \214lenames.)184
-672 R .59(This v)5.59 F .59(ariable is set)-.25 F(by def)184 684 Q
+696 R .59(This v)5.59 F .59(ariable is set)-.25 F(by def)184 708 Q
 (ault, which is the def)-.1 E(ault bash beha)-.1 E(vior in v)-.2 E
-(ersions through 4.2.)-.15 E F1(dir)144 696 Q(expand)-.18 E F0 .486
-(If set,)184 708 R F1(bash)2.986 E F0 .486
-(replaces directory names with the results of w)2.986 F .486(ord e)-.1 F
-.487(xpansion when perform-)-.15 F .18(ing \214lename completion.)184
-720 R .179(This changes the contents of the readline editing b)5.18 F
-(uf)-.2 E(fer)-.25 E 5.179(.I)-.55 G 2.679(fn)-5.179 G(ot)-2.679 E
-(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(17)198.725 E 0 Cg EP
+(ersions through 4.2.)-.15 E(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E
+(17)198.725 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
-(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E(set,)184 84
-Q/F1 10/Times-Bold@0 SF(bash)2.5 E F0(attempts to preserv)2.5 E 2.5(ew)
--.15 G(hat the user typed.)-2.5 E F1(dirspell)144 96 Q F0 .858(If set,)
-7.77 F F1(bash)3.358 E F0 .858
+(TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
+/Times-Bold@0 SF(dir)144 84 Q(expand)-.18 E F0 .486(If set,)184 96 R F1
+(bash)2.986 E F0 .486(replaces directory names with the results of w)
+2.986 F .486(ord e)-.1 F .487(xpansion when perform-)-.15 F .18
+(ing \214lename completion.)184 108 R .179
+(This changes the contents of the readline editing b)5.18 F(uf)-.2 E
+(fer)-.25 E 5.179(.I)-.55 G 2.679(fn)-5.179 G(ot)-2.679 E(set,)184 120 Q
+F1(bash)2.5 E F0(attempts to preserv)2.5 E 2.5(ew)-.15 G
+(hat the user typed.)-2.5 E F1(dirspell)144 132 Q F0 .858(If set,)7.77 F
+F1(bash)3.358 E F0 .858
 (attempts spelling correction on directory names during w)3.358 F .859
 (ord completion if)-.1 F
-(the directory name initially supplied does not e)184 108 Q(xist.)-.15 E
-F1(dotglob)144 120 Q F0 .165(If set,)7.77 F F1(bash)2.665 E F0 .165
+(the directory name initially supplied does not e)184 144 Q(xist.)-.15 E
+F1(dotglob)144 156 Q F0 .165(If set,)7.77 F F1(bash)2.665 E F0 .165
 (includes \214lenames be)2.665 F .165(ginning with a `.)-.15 F 2.665('i)
 -.7 G 2.665(nt)-2.665 G .165(he results of pathname e)-2.665 F
-(xpansion.)-.15 E F1(execfail)144 132 Q F0 1.386
+(xpansion.)-.15 E F1(execfail)144 168 Q F0 1.386
 (If set, a non-interacti)7.79 F 1.686 -.15(ve s)-.25 H 1.386
 (hell will not e).15 F 1.386(xit if it cannot e)-.15 F -.15(xe)-.15 G
-1.387(cute the \214le speci\214ed as an).15 F(ar)184 144 Q
+1.387(cute the \214le speci\214ed as an).15 F(ar)184 180 Q
 (gument to the)-.18 E F1(exec)2.5 E F0 -.2(bu)2.5 G(iltin command.).2 E
 (An interacti)5 E .3 -.15(ve s)-.25 H(hell does not e).15 E(xit if)-.15
-E F1(exec)2.5 E F0 -.1(fa)2.5 G(ils.).1 E F1(expand_aliases)144 156 Q F0
-.717(If set, aliases are e)184 168 R .717(xpanded as described abo)-.15
+E F1(exec)2.5 E F0 -.1(fa)2.5 G(ils.).1 E F1(expand_aliases)144 192 Q F0
+.717(If set, aliases are e)184 204 R .717(xpanded as described abo)-.15
 F 1.017 -.15(ve u)-.15 H(nder).15 E/F2 9/Times-Bold@0 SF(ALIASES)3.217 E
 /F3 9/Times-Roman@0 SF(.)A F0 .716(This option is enabled)5.217 F
-(by def)184 180 Q(ault for interacti)-.1 E .3 -.15(ve s)-.25 H(hells.)
-.15 E F1(extdeb)144 192 Q(ug)-.2 E F0(If set, beha)184 204 Q
+(by def)184 216 Q(ault for interacti)-.1 E .3 -.15(ve s)-.25 H(hells.)
+.15 E F1(extdeb)144 228 Q(ug)-.2 E F0(If set, beha)184 240 Q
 (vior intended for use by deb)-.2 E(uggers is enabled:)-.2 E F1(1.)184
-216 Q F0(The)28.5 E F1<ad46>4.25 E F0 1.75(option to the)4.25 F F1
+252 Q F0(The)28.5 E F1<ad46>4.25 E F0 1.75(option to the)4.25 F F1
 (declar)4.251 E(e)-.18 E F0 -.2(bu)4.251 G 1.751
 (iltin displays the source \214le name and line).2 F
-(number corresponding to each function name supplied as an ar)220 228 Q
-(gument.)-.18 E F1(2.)184 240 Q F0 1.667(If the command run by the)28.5
+(number corresponding to each function name supplied as an ar)220 264 Q
+(gument.)-.18 E F1(2.)184 276 Q F0 1.667(If the command run by the)28.5
 F F1(DEB)4.167 E(UG)-.1 E F0 1.667(trap returns a non-zero v)4.167 F
-1.667(alue, the ne)-.25 F(xt)-.15 E(command is skipped and not e)220 252
-Q -.15(xe)-.15 G(cuted.).15 E F1(3.)184 264 Q F0 .84
+1.667(alue, the ne)-.25 F(xt)-.15 E(command is skipped and not e)220 288
+Q -.15(xe)-.15 G(cuted.).15 E F1(3.)184 300 Q F0 .84
 (If the command run by the)28.5 F F1(DEB)3.34 E(UG)-.1 E F0 .841
 (trap returns a v)3.341 F .841(alue of 2, and the shell is)-.25 F -.15
-(exe)220 276 S .488
+(exe)220 312 S .488
 (cuting in a subroutine \(a shell function or a shell script e).15 F
 -.15(xe)-.15 G .488(cuted by the).15 F F1(.)2.988 E F0(or)2.988 E F1
-(sour)220 288 Q(ce)-.18 E F0 -.2(bu)2.5 G(iltins\), a call to).2 E F1
--.18(re)2.5 G(tur).18 E(n)-.15 E F0(is simulated.)2.5 E F1(4.)184 300 Q
+(sour)220 324 Q(ce)-.18 E F0 -.2(bu)2.5 G(iltins\), a call to).2 E F1
+-.18(re)2.5 G(tur).18 E(n)-.15 E F0(is simulated.)2.5 E F1(4.)184 336 Q
 F2 -.27(BA)28.5 G(SH_ARGC).27 E F0(and)3.153 E F2 -.27(BA)3.403 G
 (SH_ARGV).27 E F0 .904(are updated as described in their descriptions)
-3.154 F(abo)220 312 Q -.15(ve)-.15 G(.).15 E F1(5.)184 324 Q F0 1.359
+3.154 F(abo)220 348 Q -.15(ve)-.15 G(.).15 E F1(5.)184 360 Q F0 1.359
 (Function tracing is enabled:)28.5 F 1.359
 (command substitution, shell functions, and sub-)6.359 F(shells in)220
-336 Q -.2(vo)-.4 G -.1(ke).2 G 2.5(dw).1 G(ith)-2.5 E F1(\()2.5 E/F4 10
+372 Q -.2(vo)-.4 G -.1(ke).2 G 2.5(dw).1 G(ith)-2.5 E F1(\()2.5 E/F4 10
 /Times-Italic@0 SF(command)2.5 E F1(\))2.5 E F0(inherit the)2.5 E F1
 (DEB)2.5 E(UG)-.1 E F0(and)2.5 E F1(RETURN)2.5 E F0(traps.)2.5 E F1(6.)
-184 348 Q F0 .804(Error tracing is enabled:)28.5 F .805
-(command substitution, shell functions, and subshells)5.804 F(in)220 360
+184 384 Q F0 .804(Error tracing is enabled:)28.5 F .805
+(command substitution, shell functions, and subshells)5.804 F(in)220 396
 Q -.2(vo)-.4 G -.1(ke).2 G 2.5(dw).1 G(ith)-2.5 E F1(\()2.5 E F4
 (command)2.5 E F1(\))2.5 E F0(inherit the)2.5 E F1(ERR)2.5 E F0(trap.)
-2.5 E F1(extglob)144 372 Q F0 .4(If set, the e)8.89 F .4
+2.5 E F1(extglob)144 408 Q F0 .4(If set, the e)8.89 F .4
 (xtended pattern matching features described abo)-.15 F .7 -.15(ve u)
--.15 H(nder).15 E F1 -.1(Pa)2.9 G .4(thname Expan-).1 F(sion)184 384 Q
-F0(are enabled.)2.5 E F1(extquote)144 396 Q F0 2.473(If set,)184 408 R
+-.15 H(nder).15 E F1 -.1(Pa)2.9 G .4(thname Expan-).1 F(sion)184 420 Q
+F0(are enabled.)2.5 E F1(extquote)144 432 Q F0 2.473(If set,)184 444 R
 F1($)4.973 E F0<08>A F4(string)A F0 4.973<0861>C(nd)-4.973 E F1($)4.973
 E F0(")A F4(string)A F0 4.973("q)C 2.473(uoting is performed within)
 -4.973 F F1(${)4.973 E F4(par)A(ameter)-.15 E F1(})A F0 -.15(ex)4.973 G
-(pansions).15 E(enclosed in double quotes.)184 420 Q
-(This option is enabled by def)5 E(ault.)-.1 E F1(failglob)144 432 Q F0
+(pansions).15 E(enclosed in double quotes.)184 456 Q
+(This option is enabled by def)5 E(ault.)-.1 E F1(failglob)144 468 Q F0
 1.425(If set, patterns which f)7.77 F 1.425
 (ail to match \214lenames during pathname e)-.1 F 1.424
-(xpansion result in an)-.15 F -.15(ex)184 444 S(pansion error).15 E(.)
--.55 E F1 -.25(fo)144 456 S -.18(rc).25 G(e_\214gnor).18 E(e)-.18 E F0
-.936(If set, the suf)184 468 R<8c78>-.25 E .936(es speci\214ed by the)
+(xpansion result in an)-.15 F -.15(ex)184 480 S(pansion error).15 E(.)
+-.55 E F1 -.25(fo)144 492 S -.18(rc).25 G(e_\214gnor).18 E(e)-.18 E F0
+.936(If set, the suf)184 504 R<8c78>-.25 E .936(es speci\214ed by the)
 -.15 F F2(FIGNORE)3.436 E F0 .936(shell v)3.186 F .936(ariable cause w)
--.25 F .937(ords to be ignored)-.1 F .32(when performing w)184 480 R .32
+-.25 F .937(ords to be ignored)-.1 F .32(when performing w)184 516 R .32
 (ord completion e)-.1 F -.15(ve)-.25 G 2.82(ni).15 G 2.82(ft)-2.82 G .32
 (he ignored w)-2.82 F .32(ords are the only possible com-)-.1 F 2.947
-(pletions. See)184 492 R F2 .447(SHELL V)2.947 F(ARIABLES)-1.215 E F0
+(pletions. See)184 528 R F2 .447(SHELL V)2.947 F(ARIABLES)-1.215 E F0
 (abo)2.697 E .747 -.15(ve f)-.15 H .448(or a description of).15 F F2
 (FIGNORE)2.948 E F3(.)A F0 .448(This option is)4.948 F(enabled by def)
-184 504 Q(ault.)-.1 E F1(globasciiranges)144 516 Q F0 .806
-(If set, range e)184 528 R .806
+184 540 Q(ault.)-.1 E F1(globasciiranges)144 552 Q F0 .806
+(If set, range e)184 564 R .806
 (xpressions used in pattern matching \(see)-.15 F F2 -.09(Pa)3.305 G
 (tter).09 E 3.055(nM)-.135 G(atching)-3.055 E F0(abo)3.055 E -.15(ve)
 -.15 G 3.305(\)b).15 G(eha)-3.305 E -.15(ve)-.2 G 2.089
-(as if in the traditional C locale when performing comparisons.)184 540
-R 2.09(That is, the current)7.089 F(locale')184 552 Q 2.614(sc)-.55 G
+(as if in the traditional C locale when performing comparisons.)184 576
+R 2.09(That is, the current)7.089 F(locale')184 588 Q 2.614(sc)-.55 G
 .114(ollating sequence is not tak)-2.614 F .113(en into account, so)-.1
 F F1(b)2.613 E F0 .113(will not collate between)2.613 F F1(A)2.613 E F0
-(and)2.613 E F1(B)184 564 Q F0 2.5(,a)C(nd upper)-2.5 E(-case and lo)-.2
+(and)2.613 E F1(B)184 600 Q F0 2.5(,a)C(nd upper)-2.5 E(-case and lo)-.2
 E(wer)-.25 E(-case ASCII characters will collate together)-.2 E(.)-.55 E
-F1(globstar)144 576 Q F0 .518(If set, the pattern)5 F F1(**)3.018 E F0
+F1(globstar)144 612 Q F0 .518(If set, the pattern)5 F F1(**)3.018 E F0
 .519(used in a pathname e)3.019 F .519(xpansion conte)-.15 F .519
 (xt will match all \214les and zero)-.15 F .432
-(or more directories and subdirectories.)184 588 R .431
+(or more directories and subdirectories.)184 624 R .431
 (If the pattern is follo)5.432 F .431(wed by a)-.25 F F1(/)2.931 E F0
 2.931(,o)C .431(nly directories)-2.931 F(and subdirectories match.)184
-600 Q F1(gnu_errfmt)144 612 Q F0(If set, shell error messages are writt\
-en in the standard GNU error message format.)184 624 Q F1(histappend)144
-636 Q F0 .676
+636 Q F1(gnu_errfmt)144 648 Q F0(If set, shell error messages are writt\
+en in the standard GNU error message format.)184 660 Q F1(histappend)144
+672 Q F0 .676
 (If set, the history list is appended to the \214le named by the v)184
-648 R .676(alue of the)-.25 F F2(HISTFILE)3.177 E F0 -.25(va)2.927 G
-(ri-).25 E(able when the shell e)184 660 Q(xits, rather than o)-.15 E
--.15(ve)-.15 G(rwriting the \214le.).15 E F1(histr)144 672 Q(eedit)-.18
-E F0 .576(If set, and)184 684 R F1 -.18(re)3.076 G(adline).18 E F0 .575
-(is being used, a user is gi)3.076 F -.15(ve)-.25 G 3.075(nt).15 G .575
-(he opportunity to re-edit a f)-3.075 F .575(ailed his-)-.1 F
-(tory substitution.)184 696 Q(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735
-E(18)198.725 E 0 Cg EP
+684 R .676(alue of the)-.25 F F2(HISTFILE)3.177 E F0 -.25(va)2.927 G
+(ri-).25 E(able when the shell e)184 696 Q(xits, rather than o)-.15 E
+-.15(ve)-.15 G(rwriting the \214le.).15 E(GNU Bash-4.2)72 768 Q
+(2004 Apr 20)148.735 E(18)198.725 E 0 Cg EP
 %%Page: 19 19
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF(histv)144 84 Q(erify)-.1 E F0 .402(If set, and)184 96 R
-F1 -.18(re)2.903 G(adline).18 E F0 .403
+/Times-Bold@0 SF(histr)144 84 Q(eedit)-.18 E F0 .576(If set, and)184 96
+R F1 -.18(re)3.076 G(adline).18 E F0 .575(is being used, a user is gi)
+3.076 F -.15(ve)-.25 G 3.075(nt).15 G .575
+(he opportunity to re-edit a f)-3.075 F .575(ailed his-)-.1 F
+(tory substitution.)184 108 Q F1(histv)144 120 Q(erify)-.1 E F0 .402
+(If set, and)184 132 R F1 -.18(re)2.903 G(adline).18 E F0 .403
 (is being used, the results of history substitution are not immediately)
-2.903 F .662(passed to the shell parser)184 108 R 5.662(.I)-.55 G .661
+2.903 F .662(passed to the shell parser)184 144 R 5.662(.I)-.55 G .661
 (nstead, the resulting line is loaded into the)-5.662 F F1 -.18(re)3.161
-G(adline).18 E F0(editing)3.161 E -.2(bu)184 120 S -.25(ff).2 G(er).25 E
+G(adline).18 E F0(editing)3.161 E -.2(bu)184 156 S -.25(ff).2 G(er).25 E
 2.5(,a)-.4 G(llo)-2.5 E(wing further modi\214cation.)-.25 E F1
-(hostcomplete)144 132 Q F0 1.181(If set, and)184 144 R F1 -.18(re)3.681
+(hostcomplete)144 168 Q F0 1.181(If set, and)184 180 R F1 -.18(re)3.681
 G(adline).18 E F0 1.181(is being used,)3.681 F F1(bash)3.682 E F0 1.182
 (will attempt to perform hostname completion)3.682 F 1.381(when a w)184
-156 R 1.381(ord containing a)-.1 F F1(@)3.881 E F0 1.381
+192 R 1.381(ord containing a)-.1 F F1(@)3.881 E F0 1.381
 (is being completed \(see)3.881 F F1(Completing)3.88 E F0(under)3.88 E
-/F2 9/Times-Bold@0 SF(READLINE)3.88 E F0(abo)184 168 Q -.15(ve)-.15 G
+/F2 9/Times-Bold@0 SF(READLINE)3.88 E F0(abo)184 204 Q -.15(ve)-.15 G
 2.5(\). This).15 F(is enabled by def)2.5 E(ault.)-.1 E F1(huponexit)144
-180 Q F0(If set,)184 192 Q F1(bash)2.5 E F0(will send)2.5 E F2(SIGHUP)
+216 Q F0(If set,)184 228 Q F1(bash)2.5 E F0(will send)2.5 E F2(SIGHUP)
 2.5 E F0(to all jobs when an interacti)2.25 E .3 -.15(ve l)-.25 H
-(ogin shell e).15 E(xits.)-.15 E F1(interacti)144 204 Q -.1(ve)-.1 G
-(_comments).1 E F0 .33(If set, allo)184 216 R 2.83(waw)-.25 G .33
+(ogin shell e).15 E(xits.)-.15 E F1(interacti)144 240 Q -.1(ve)-.1 G
+(_comments).1 E F0 .33(If set, allo)184 252 R 2.83(waw)-.25 G .33
 (ord be)-2.93 F .33(ginning with)-.15 F F1(#)2.83 E F0 .33
 (to cause that w)2.83 F .33(ord and all remaining characters on)-.1 F
-.967(that line to be ignored in an interacti)184 228 R 1.267 -.15(ve s)
+.967(that line to be ignored in an interacti)184 264 R 1.267 -.15(ve s)
 -.25 H .967(hell \(see).15 F F2(COMMENTS)3.467 E F0(abo)3.217 E -.15(ve)
 -.15 G 3.467(\). This).15 F .967(option is)3.467 F(enabled by def)184
-240 Q(ault.)-.1 E F1(lastpipe)144 252 Q F0 1.211
+276 Q(ault.)-.1 E F1(lastpipe)144 288 Q F0 1.211
 (If set, and job control is not acti)6.66 F -.15(ve)-.25 G 3.712(,t).15
 G 1.212(he shell runs the last command of a pipeline not)-3.712 F -.15
-(exe)184 264 S(cuted in the background in the current shell en).15 E
-(vironment.)-.4 E F1(lithist)144 276 Q F0 .655(If set, and the)15.55 F
+(exe)184 300 S(cuted in the background in the current shell en).15 E
+(vironment.)-.4 E F1(lithist)144 312 Q F0 .655(If set, and the)15.55 F
 F1(cmdhist)3.155 E F0 .654
 (option is enabled, multi-line commands are sa)3.154 F -.15(ve)-.2 G
 3.154(dt).15 G 3.154(ot)-3.154 G .654(he history)-3.154 F
-(with embedded ne)184 288 Q
+(with embedded ne)184 324 Q
 (wlines rather than using semicolon separators where possible.)-.25 E F1
-(login_shell)144 300 Q F0 .486
+(login_shell)144 336 Q F0 .486
 (The shell sets this option if it is started as a login shell \(see)184
-312 R F2(INV)2.987 E(OCA)-.405 E(TION)-.855 E F0(abo)2.737 E -.15(ve)
--.15 G 2.987(\). The).15 F -.25(va)184 324 S(lue may not be changed.).25
-E F1(mailwar)144 336 Q(n)-.15 E F0 .815(If set, and a \214le that)184
-348 R F1(bash)3.315 E F0 .814
+348 R F2(INV)2.987 E(OCA)-.405 E(TION)-.855 E F0(abo)2.737 E -.15(ve)
+-.15 G 2.987(\). The).15 F -.25(va)184 360 S(lue may not be changed.).25
+E F1(mailwar)144 372 Q(n)-.15 E F0 .815(If set, and a \214le that)184
+384 R F1(bash)3.315 E F0 .814
 (is checking for mail has been accessed since the last time it)3.315 F
--.1(wa)184 360 S 2.5(sc).1 G(heck)-2.5 E(ed, the message `)-.1 E
+-.1(wa)184 396 S 2.5(sc).1 G(heck)-2.5 E(ed, the message `)-.1 E
 (`The mail in)-.74 E/F3 10/Times-Italic@0 SF(mail\214le)2.5 E F0
 (has been read')2.5 E 2.5('i)-.74 G 2.5(sd)-2.5 G(isplayed.)-2.5 E F1
-(no_empty_cmd_completion)144 372 Q F0 .324(If set, and)184 384 R F1 -.18
+(no_empty_cmd_completion)144 408 Q F0 .324(If set, and)184 420 R F1 -.18
 (re)2.824 G(adline).18 E F0 .324(is being used,)2.824 F F1(bash)2.824 E
 F0 .324(will not attempt to search the)2.824 F F2 -.666(PA)2.825 G(TH)
 -.189 E F0 .325(for possible)2.575 F
-(completions when completion is attempted on an empty line.)184 396 Q F1
-(nocaseglob)144 408 Q F0 .437(If set,)184 420 R F1(bash)2.937 E F0 .436
+(completions when completion is attempted on an empty line.)184 432 Q F1
+(nocaseglob)144 444 Q F0 .437(If set,)184 456 R F1(bash)2.937 E F0 .436
 (matches \214lenames in a case\255insensiti)2.937 F .736 -.15(ve f)-.25
-H .436(ashion when performing pathname).05 F -.15(ex)184 432 S
+H .436(ashion when performing pathname).05 F -.15(ex)184 468 S
 (pansion \(see).15 E F1 -.1(Pa)2.5 G(thname Expansion).1 E F0(abo)2.5 E
--.15(ve)-.15 G(\).).15 E F1(nocasematch)144 444 Q F0 1.193(If set,)184
-456 R F1(bash)3.693 E F0 1.194(matches patterns in a case\255insensiti)
+-.15(ve)-.15 G(\).).15 E F1(nocasematch)144 480 Q F0 1.193(If set,)184
+492 R F1(bash)3.693 E F0 1.194(matches patterns in a case\255insensiti)
 3.693 F 1.494 -.15(ve f)-.25 H 1.194(ashion when performing matching).05
-F(while e)184 468 Q -.15(xe)-.15 G(cuting).15 E F1(case)2.5 E F0(or)2.5
-E F1([[)2.5 E F0(conditional commands.)2.5 E F1(nullglob)144 480 Q F0
-.855(If set,)184 492 R F1(bash)3.355 E F0(allo)3.355 E .855
+F(while e)184 504 Q -.15(xe)-.15 G(cuting).15 E F1(case)2.5 E F0(or)2.5
+E F1([[)2.5 E F0(conditional commands.)2.5 E F1(nullglob)144 516 Q F0
+.855(If set,)184 528 R F1(bash)3.355 E F0(allo)3.355 E .855
 (ws patterns which match no \214les \(see)-.25 F F1 -.1(Pa)3.354 G .854
 (thname Expansion).1 F F0(abo)3.354 E -.15(ve)-.15 G 3.354(\)t).15 G(o)
--3.354 E -.15(ex)184 504 S(pand to a null string, rather than themselv)
-.15 E(es.)-.15 E F1(pr)144 516 Q(ogcomp)-.18 E F0 .676
-(If set, the programmable completion f)184 528 R .677(acilities \(see)
+-3.354 E -.15(ex)184 540 S(pand to a null string, rather than themselv)
+.15 E(es.)-.15 E F1(pr)144 552 Q(ogcomp)-.18 E F0 .676
+(If set, the programmable completion f)184 564 R .677(acilities \(see)
 -.1 F F1(Pr)3.177 E .677(ogrammable Completion)-.18 F F0(abo)3.177 E
--.15(ve)-.15 G(\)).15 E(are enabled.)184 540 Q
-(This option is enabled by def)5 E(ault.)-.1 E F1(pr)144 552 Q(omptv)
--.18 E(ars)-.1 E F0 1.448(If set, prompt strings under)184 564 R 1.448
+-.15(ve)-.15 G(\)).15 E(are enabled.)184 576 Q
+(This option is enabled by def)5 E(ault.)-.1 E F1(pr)144 588 Q(omptv)
+-.18 E(ars)-.1 E F0 1.448(If set, prompt strings under)184 600 R 1.448
 (go parameter e)-.18 F 1.447(xpansion, command substitution, arithmetic)
--.15 F -.15(ex)184 576 S .17(pansion, and quote remo).15 F -.25(va)-.15
+-.15 F -.15(ex)184 612 S .17(pansion, and quote remo).15 F -.25(va)-.15
 G 2.67(la).25 G .17(fter being e)-2.67 F .17(xpanded as described in)
 -.15 F F2(PR)2.671 E(OMPTING)-.27 E F0(abo)2.421 E -.15(ve)-.15 G(.).15
-E(This option is enabled by def)184 588 Q(ault.)-.1 E F1 -.18(re)144 600
+E(This option is enabled by def)184 624 Q(ault.)-.1 E F1 -.18(re)144 636
 S(stricted_shell).18 E F0 1.069
 (The shell sets this option if it is started in restricted mode \(see)
-184 612 R F2 1.069(RESTRICTED SHELL)3.569 F F0(belo)184 624 Q 4.178
+184 648 R F2 1.069(RESTRICTED SHELL)3.569 F F0(belo)184 660 Q 4.178
 (w\). The)-.25 F -.25(va)4.178 G 1.678(lue may not be changed.).25 F
 1.678(This is not reset when the startup \214les are)6.678 F -.15(exe)
-184 636 S(cuted, allo).15 E(wing the startup \214les to disco)-.25 E
+184 672 S(cuted, allo).15 E(wing the startup \214les to disco)-.25 E
 -.15(ve)-.15 G 2.5(rw).15 G(hether or not a shell is restricted.)-2.5 E
-F1(shift_v)144 648 Q(erbose)-.1 E F0 .502(If set, the)184 660 R F1
+F1(shift_v)144 684 Q(erbose)-.1 E F0 .502(If set, the)184 696 R F1
 (shift)3.002 E F0 -.2(bu)3.002 G .501
 (iltin prints an error message when the shift count e).2 F .501
-(xceeds the number)-.15 F(of positional parameters.)184 672 Q F1(sour)
-144 684 Q(cepath)-.18 E F0 .77(If set, the)184 696 R F1(sour)3.27 E(ce)
--.18 E F0(\()3.27 E F1(.)A F0 3.27(\)b)C .77(uiltin uses the v)-3.47 F
-.771(alue of)-.25 F F2 -.666(PA)3.271 G(TH)-.189 E F0 .771
-(to \214nd the directory containing the)3.021 F
-(\214le supplied as an ar)184 708 Q 2.5(gument. This)-.18 F
-(option is enabled by def)2.5 E(ault.)-.1 E(GNU Bash-4.2)72 768 Q
-(2004 Apr 20)148.735 E(19)198.725 E 0 Cg EP
+(xceeds the number)-.15 F(of positional parameters.)184 708 Q
+(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(19)198.725 E 0 Cg EP
 %%Page: 20 20
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF(xpg_echo)144 84 Q F0(If set, the)184 96 Q F1(echo)2.5 E
-F0 -.2(bu)2.5 G(iltin e).2 E(xpands backslash-escape sequences by def)
--.15 E(ault.)-.1 E F1(suspend)108 112.8 Q F0([)2.5 E F1<ad66>A F0(])A
-1.002(Suspend the e)144 124.8 R -.15(xe)-.15 G 1.002
-(cution of this shell until it recei).15 F -.15(ve)-.25 G 3.501(sa).15 G
-/F2 9/Times-Bold@0 SF(SIGCONT)A F0 3.501(signal. A)3.251 F 1.001
-(login shell cannot be)3.501 F .022(suspended; the)144 136.8 R F1<ad66>
+/Times-Bold@0 SF(sour)144 84 Q(cepath)-.18 E F0 .77(If set, the)184 96 R
+F1(sour)3.27 E(ce)-.18 E F0(\()3.27 E F1(.)A F0 3.27(\)b)C .77
+(uiltin uses the v)-3.47 F .771(alue of)-.25 F/F2 9/Times-Bold@0 SF
+-.666(PA)3.271 G(TH)-.189 E F0 .771
+(to \214nd the directory containing the)3.021 F
+(\214le supplied as an ar)184 108 Q 2.5(gument. This)-.18 F
+(option is enabled by def)2.5 E(ault.)-.1 E F1(xpg_echo)144 120 Q F0
+(If set, the)184 132 Q F1(echo)2.5 E F0 -.2(bu)2.5 G(iltin e).2 E
+(xpands backslash-escape sequences by def)-.15 E(ault.)-.1 E F1(suspend)
+108 148.8 Q F0([)2.5 E F1<ad66>A F0(])A 1.002(Suspend the e)144 160.8 R
+-.15(xe)-.15 G 1.002(cution of this shell until it recei).15 F -.15(ve)
+-.25 G 3.501(sa).15 G F2(SIGCONT)A F0 3.501(signal. A)3.251 F 1.001
+(login shell cannot be)3.501 F .022(suspended; the)144 172.8 R F1<ad66>
 2.522 E F0 .022(option can be used to o)2.522 F -.15(ve)-.15 G .022
 (rride this and force the suspension.).15 F .023(The return status is)
-5.023 F 2.5(0u)144 148.8 S(nless the shell is a login shell and)-2.5 E
+5.023 F 2.5(0u)144 184.8 S(nless the shell is a login shell and)-2.5 E
 F1<ad66>2.5 E F0(is not supplied, or if job control is not enabled.)2.5
-E F1(test)108 165.6 Q/F3 10/Times-Italic@0 SF -.2(ex)2.5 G(pr).2 E F1([)
-108 177.6 Q F3 -.2(ex)2.5 G(pr).2 E F1(])2.5 E F0 .878
+E F1(test)108 201.6 Q/F3 10/Times-Italic@0 SF -.2(ex)2.5 G(pr).2 E F1([)
+108 213.6 Q F3 -.2(ex)2.5 G(pr).2 E F1(])2.5 E F0 .878
 (Return a status of 0 \(true\) or 1 \(f)6.77 F .877
 (alse\) depending on the e)-.1 F -.25(va)-.25 G .877
-(luation of the conditional e).25 F(xpression)-.15 E F3 -.2(ex)144 189.6
+(luation of the conditional e).25 F(xpression)-.15 E F3 -.2(ex)144 225.6
 S(pr).2 E F0 5.53(.E).73 G .53
 (ach operator and operand must be a separate ar)-5.53 F 3.03
 (gument. Expressions)-.18 F .53(are composed of the)3.03 F 3.08
-(primaries described abo)144 201.6 R 3.38 -.15(ve u)-.15 H(nder).15 E F2
+(primaries described abo)144 237.6 R 3.38 -.15(ve u)-.15 H(nder).15 E F2
 (CONDITION)5.58 E 3.079(AL EXPRESSIONS)-.18 F/F4 9/Times-Roman@0 SF(.)A
 F1(test)7.579 E F0 3.079(does not accept an)5.579 F(y)-.15 E
-(options, nor does it accept and ignore an ar)144 213.6 Q(gument of)-.18
+(options, nor does it accept and ignore an ar)144 249.6 Q(gument of)-.18
 E F1<adad>2.5 E F0(as signifying the end of options.)2.5 E .785
-(Expressions may be combined using the follo)144 231.6 R .786
+(Expressions may be combined using the follo)144 267.6 R .786
 (wing operators, listed in decreasing order of prece-)-.25 F 3.412
-(dence. The)144 243.6 R -.25(eva)3.412 G .912
+(dence. The)144 279.6 R -.25(eva)3.412 G .912
 (luation depends on the number of ar).25 F .911(guments; see belo)-.18 F
 4.711 -.65(w. O)-.25 H .911(perator precedence is).65 F
-(used when there are \214v)144 255.6 Q 2.5(eo)-.15 G 2.5(rm)-2.5 G
-(ore ar)-2.5 E(guments.)-.18 E F1(!)144 267.6 Q F3 -.2(ex)2.5 G(pr).2 E
+(used when there are \214v)144 291.6 Q 2.5(eo)-.15 G 2.5(rm)-2.5 G
+(ore ar)-2.5 E(guments.)-.18 E F1(!)144 303.6 Q F3 -.2(ex)2.5 G(pr).2 E
 F0 -.35(Tr)12.6 G(ue if).35 E F3 -.2(ex)2.5 G(pr).2 E F0(is f)3.23 E
-(alse.)-.1 E F1(\()144 279.6 Q F3 -.2(ex)2.5 G(pr).2 E F1(\))2.5 E F0
+(alse.)-.1 E F1(\()144 315.6 Q F3 -.2(ex)2.5 G(pr).2 E F1(\))2.5 E F0
 .26(Returns the v)6.77 F .26(alue of)-.25 F F3 -.2(ex)2.76 G(pr).2 E F0
 5.26(.T)C .26(his may be used to o)-5.26 F -.15(ve)-.15 G .26
-(rride the normal precedence of opera-).15 F(tors.)180 291.6 Q F3 -.2
-(ex)144 303.6 S(pr1).2 E F0<ad>2.5 E F1(a)A F3 -.2(ex)2.5 G(pr2).2 E F0
--.35(Tr)180 315.6 S(ue if both).35 E F3 -.2(ex)2.5 G(pr1).2 E F0(and)2.5
-E F3 -.2(ex)2.5 G(pr2).2 E F0(are true.)2.52 E F3 -.2(ex)144 327.6 S
+(rride the normal precedence of opera-).15 F(tors.)180 327.6 Q F3 -.2
+(ex)144 339.6 S(pr1).2 E F0<ad>2.5 E F1(a)A F3 -.2(ex)2.5 G(pr2).2 E F0
+-.35(Tr)180 351.6 S(ue if both).35 E F3 -.2(ex)2.5 G(pr1).2 E F0(and)2.5
+E F3 -.2(ex)2.5 G(pr2).2 E F0(are true.)2.52 E F3 -.2(ex)144 363.6 S
 (pr1).2 E F0<ad>2.5 E F1(o)A F3 -.2(ex)2.5 G(pr2).2 E F0 -.35(Tr)180
-339.6 S(ue if either).35 E F3 -.2(ex)2.5 G(pr1).2 E F0(or)2.5 E F3 -.2
-(ex)2.5 G(pr2).2 E F0(is true.)2.52 E F1(test)144 356.4 Q F0(and)2.5 E
+375.6 S(ue if either).35 E F3 -.2(ex)2.5 G(pr1).2 E F0(or)2.5 E F3 -.2
+(ex)2.5 G(pr2).2 E F0(is true.)2.52 E F1(test)144 392.4 Q F0(and)2.5 E
 F1([)2.5 E F0 -.25(eva)2.5 G(luate conditional e).25 E
 (xpressions using a set of rules based on the number of ar)-.15 E
-(guments.)-.18 E 2.5(0a)144 374.4 S -.18(rg)-2.5 G(uments).18 E(The e)
-180 386.4 Q(xpression is f)-.15 E(alse.)-.1 E 2.5(1a)144 398.4 S -.18
-(rg)-2.5 G(ument).18 E(The e)180 410.4 Q
+(guments.)-.18 E 2.5(0a)144 410.4 S -.18(rg)-2.5 G(uments).18 E(The e)
+180 422.4 Q(xpression is f)-.15 E(alse.)-.1 E 2.5(1a)144 434.4 S -.18
+(rg)-2.5 G(ument).18 E(The e)180 446.4 Q
 (xpression is true if and only if the ar)-.15 E(gument is not null.)-.18
-E 2.5(2a)144 422.4 S -.18(rg)-2.5 G(uments).18 E .37(If the \214rst ar)
-180 434.4 R .37(gument is)-.18 F F1(!)2.87 E F0 2.87(,t)C .37(he e)-2.87
+E 2.5(2a)144 458.4 S -.18(rg)-2.5 G(uments).18 E .37(If the \214rst ar)
+180 470.4 R .37(gument is)-.18 F F1(!)2.87 E F0 2.87(,t)C .37(he e)-2.87
 F .37(xpression is true if and only if the second ar)-.15 F .37
-(gument is null.)-.18 F .379(If the \214rst ar)180 446.4 R .38
+(gument is null.)-.18 F .379(If the \214rst ar)180 482.4 R .38
 (gument is one of the unary conditional operators listed abo)-.18 F .68
--.15(ve u)-.15 H(nder).15 E F2(CONDI-)2.88 E(TION)180 458.4 Q .553
+-.15(ve u)-.15 H(nder).15 E F2(CONDI-)2.88 E(TION)180 494.4 Q .553
 (AL EXPRESSIONS)-.18 F F4(,)A F0 .552(the e)2.802 F .552
 (xpression is true if the unary test is true.)-.15 F .552
-(If the \214rst ar)5.552 F(gu-)-.18 E(ment is not a v)180 470.4 Q
+(If the \214rst ar)5.552 F(gu-)-.18 E(ment is not a v)180 506.4 Q
 (alid unary conditional operator)-.25 E 2.5(,t)-.4 G(he e)-2.5 E
-(xpression is f)-.15 E(alse.)-.1 E 2.5(3a)144 482.4 S -.18(rg)-2.5 G
-(uments).18 E .236(The follo)180 494.4 R .236
+(xpression is f)-.15 E(alse.)-.1 E 2.5(3a)144 518.4 S -.18(rg)-2.5 G
+(uments).18 E .236(The follo)180 530.4 R .236
 (wing conditions are applied in the order listed.)-.25 F .236
 (If the second ar)5.236 F .236(gument is one of)-.18 F .855
-(the binary conditional operators listed abo)180 506.4 R 1.155 -.15
+(the binary conditional operators listed abo)180 542.4 R 1.155 -.15
 (ve u)-.15 H(nder).15 E F2(CONDITION)3.355 E .855(AL EXPRESSIONS)-.18 F
-F4(,)A F0(the)3.104 E .578(result of the e)180 518.4 R .578(xpression i\
+F4(,)A F0(the)3.104 E .578(result of the e)180 554.4 R .578(xpression i\
 s the result of the binary test using the \214rst and third ar)-.15 F
-(guments)-.18 E 1.333(as operands.)180 530.4 R(The)6.333 E F1<ad61>3.833
+(guments)-.18 E 1.333(as operands.)180 566.4 R(The)6.333 E F1<ad61>3.833
 E F0(and)3.833 E F1<ad6f>3.832 E F0 1.332
 (operators are considered binary operators when there are)3.832 F .558
-(three ar)180 542.4 R 3.058(guments. If)-.18 F .558(the \214rst ar)3.058
+(three ar)180 578.4 R 3.058(guments. If)-.18 F .558(the \214rst ar)3.058
 F .558(gument is)-.18 F F1(!)3.058 E F0 3.058(,t)C .558(he v)-3.058 F
 .558(alue is the ne)-.25 F -.05(ga)-.15 G .558(tion of the tw).05 F
 (o-ar)-.1 E(gument)-.18 E .521(test using the second and third ar)180
-554.4 R 3.021(guments. If)-.18 F .521(the \214rst ar)3.021 F .52
+590.4 R 3.021(guments. If)-.18 F .521(the \214rst ar)3.021 F .52
 (gument is e)-.18 F(xactly)-.15 E F1(\()3.02 E F0 .52(and the third)3.02
-F(ar)180 566.4 Q .485(gument is e)-.18 F(xactly)-.15 E F1(\))2.985 E F0
+F(ar)180 602.4 Q .485(gument is e)-.18 F(xactly)-.15 E F1(\))2.985 E F0
 2.985(,t)C .485(he result is the one-ar)-2.985 F .485
 (gument test of the second ar)-.18 F 2.985(gument. Other)-.18 F(-)-.2 E
-(wise, the e)180 578.4 Q(xpression is f)-.15 E(alse.)-.1 E 2.5(4a)144
-590.4 S -.18(rg)-2.5 G(uments).18 E .385(If the \214rst ar)180 602.4 R
+(wise, the e)180 614.4 Q(xpression is f)-.15 E(alse.)-.1 E 2.5(4a)144
+626.4 S -.18(rg)-2.5 G(uments).18 E .385(If the \214rst ar)180 638.4 R
 .385(gument is)-.18 F F1(!)2.885 E F0 2.885(,t)C .385
 (he result is the ne)-2.885 F -.05(ga)-.15 G .384(tion of the three-ar)
 .05 F .384(gument e)-.18 F .384(xpression com-)-.15 F 1.647
-(posed of the remaining ar)180 614.4 R 4.147(guments. Otherwise,)-.18 F
+(posed of the remaining ar)180 650.4 R 4.147(guments. Otherwise,)-.18 F
 1.647(the e)4.147 F 1.648(xpression is parsed and e)-.15 F -.25(va)-.25
 G(luated).25 E(according to precedence using the rules listed abo)180
-626.4 Q -.15(ve)-.15 G(.).15 E 2.5(5o)144 638.4 S 2.5(rm)-2.5 G(ore ar)
--2.5 E(guments)-.18 E 1.635(The e)180 650.4 R 1.635
+662.4 Q -.15(ve)-.15 G(.).15 E 2.5(5o)144 674.4 S 2.5(rm)-2.5 G(ore ar)
+-2.5 E(guments)-.18 E 1.635(The e)180 686.4 R 1.635
 (xpression is parsed and e)-.15 F -.25(va)-.25 G 1.635
 (luated according to precedence using the rules listed).25 F(abo)180
-662.4 Q -.15(ve)-.15 G(.).15 E(When used with)144 680.4 Q F1(test)2.5 E
+698.4 Q -.15(ve)-.15 G(.).15 E(When used with)144 716.4 Q F1(test)2.5 E
 F0(or)2.5 E F1([)2.5 E F0 2.5(,t)C(he)-2.5 E F1(<)2.5 E F0(and)2.5 E F1
 (>)2.5 E F0(operators sort le)2.5 E
-(xicographically using ASCII ordering.)-.15 E F1(times)108 697.2 Q F0
-1.229(Print the accumulated user and system times for the shell and for\
- processes run from the shell.)13.23 F(The return status is 0.)144 709.2
-Q(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(20)198.725 E 0 Cg EP
+(xicographically using ASCII ordering.)-.15 E(GNU Bash-4.2)72 768 Q
+(2004 Apr 20)148.735 E(20)198.725 E 0 Cg EP
 %%Page: 21 21
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 290.48
 (TINS\(1\) B)-.92 F(ASH_B)-.35 E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10
-/Times-Bold@0 SF(trap)108 84 Q F0([)2.5 E F1(\255lp)A F0 2.5(][)C([)-2.5
-E/F2 10/Times-Italic@0 SF(ar)A(g)-.37 E F0(])A F2(sigspec)2.5 E F0(...])
-2.5 E .703(The command)144 96 R F2(ar)3.533 E(g)-.37 E F0 .703
-(is to be read and e)3.423 F -.15(xe)-.15 G .702
+/Times-Bold@0 SF(times)108 84 Q F0 1.229(Print the accumulated user and\
+ system times for the shell and for processes run from the shell.)13.23
+F(The return status is 0.)144 96 Q F1(trap)108 112.8 Q F0([)2.5 E F1
+(\255lp)A F0 2.5(][)C([)-2.5 E/F2 10/Times-Italic@0 SF(ar)A(g)-.37 E F0
+(])A F2(sigspec)2.5 E F0(...])2.5 E .703(The command)144 124.8 R F2(ar)
+3.533 E(g)-.37 E F0 .703(is to be read and e)3.423 F -.15(xe)-.15 G .702
 (cuted when the shell recei).15 F -.15(ve)-.25 G 3.202(ss).15 G
 (ignal\(s\))-3.202 E F2(sigspec)3.202 E F0 5.702(.I).31 G(f)-5.702 E F2
 (ar)3.532 E(g)-.37 E F0(is)3.422 E .608(absent \(and there is a single)
-144 108 R F2(sigspec)3.108 E F0 3.108(\)o)C(r)-3.108 E F1<ad>3.108 E F0
-3.108(,e)C .608
+144 136.8 R F2(sigspec)3.108 E F0 3.108(\)o)C(r)-3.108 E F1<ad>3.108 E
+F0 3.108(,e)C .608
 (ach speci\214ed signal is reset to its original disposition)-3.108 F
-.659(\(the v)144 120 R .659(alue it had upon entrance to the shell\).)
+.659(\(the v)144 148.8 R .659(alue it had upon entrance to the shell\).)
 -.25 F(If)5.658 E F2(ar)3.488 E(g)-.37 E F0 .658
 (is the null string the signal speci\214ed by each)3.378 F F2(sigspec)
-144.34 132 Q F0 .58(is ignored by the shell and by the commands it in)
+144.34 160.8 Q F0 .58(is ignored by the shell and by the commands it in)
 3.39 F -.2(vo)-.4 G -.1(ke).2 G 3.081(s. If).1 F F2(ar)3.411 E(g)-.37 E
 F0 .581(is not present and)3.301 F F1<ad70>3.081 E F0(has)3.081 E 1.215
-(been supplied, then the trap commands associated with each)144 144 R F2
-(sigspec)4.054 E F0 1.214(are displayed.)4.024 F 1.214(If no ar)6.214 F
-(gu-)-.18 E .86(ments are supplied or if only)144 156 R F1<ad70>3.36 E
-F0 .86(is gi)3.36 F -.15(ve)-.25 G(n,).15 E F1(trap)3.36 E F0 .86
+(been supplied, then the trap commands associated with each)144 172.8 R
+F2(sigspec)4.054 E F0 1.214(are displayed.)4.024 F 1.214(If no ar)6.214
+F(gu-)-.18 E .86(ments are supplied or if only)144 184.8 R F1<ad70>3.36
+E F0 .86(is gi)3.36 F -.15(ve)-.25 G(n,).15 E F1(trap)3.36 E F0 .86
 (prints the list of commands associated with each)3.36 F 2.83
-(signal. The)144 168 R F1<ad6c>2.83 E F0 .33(option causes the shell to\
- print a list of signal names and their corresponding num-)2.83 F 4.31
-(bers. Each)144 180 R F2(sigspec)4.65 E F0 1.811
+(signal. The)144 196.8 R F1<ad6c>2.83 E F0 .33(option causes the shell \
+to print a list of signal names and their corresponding num-)2.83 F 4.31
+(bers. Each)144 208.8 R F2(sigspec)4.65 E F0 1.811
 (is either a signal name de\214ned in <)4.62 F F2(signal.h)A F0 1.811
 (>, or a signal number)B 6.811(.S)-.55 G(ignal)-6.811 E
-(names are case insensiti)144 192 Q .3 -.15(ve a)-.25 H(nd the).15 E/F3
-9/Times-Bold@0 SF(SIG)2.5 E F0(pre\214x is optional.)2.25 E 1.649(If a)
-144 210 R F2(sigspec)4.489 E F0(is)4.459 E F3(EXIT)4.149 E F0 1.649
-(\(0\) the command)3.899 F F2(ar)4.479 E(g)-.37 E F0 1.649(is e)4.369 F
--.15(xe)-.15 G 1.649(cuted on e).15 F 1.648(xit from the shell.)-.15 F
-1.648(If a)6.648 F F2(sigspec)4.488 E F0(is)4.458 E F3(DEB)144 222 Q(UG)
--.09 E/F4 9/Times-Roman@0 SF(,)A F0 1.167(the command)3.417 F F2(ar)
-3.997 E(g)-.37 E F0 1.167(is e)3.887 F -.15(xe)-.15 G 1.167
+(names are case insensiti)144 220.8 Q .3 -.15(ve a)-.25 H(nd the).15 E
+/F3 9/Times-Bold@0 SF(SIG)2.5 E F0(pre\214x is optional.)2.25 E 1.649
+(If a)144 238.8 R F2(sigspec)4.489 E F0(is)4.459 E F3(EXIT)4.149 E F0
+1.649(\(0\) the command)3.899 F F2(ar)4.479 E(g)-.37 E F0 1.649(is e)
+4.369 F -.15(xe)-.15 G 1.649(cuted on e).15 F 1.648(xit from the shell.)
+-.15 F 1.648(If a)6.648 F F2(sigspec)4.488 E F0(is)4.458 E F3(DEB)144
+250.8 Q(UG)-.09 E/F4 9/Times-Roman@0 SF(,)A F0 1.167(the command)3.417 F
+F2(ar)3.997 E(g)-.37 E F0 1.167(is e)3.887 F -.15(xe)-.15 G 1.167
 (cuted before e).15 F -.15(ve)-.25 G(ry).15 E F2 1.168(simple command)
 3.667 F F0(,)A F2(for)3.668 E F0(command,)3.668 E F2(case)3.668 E F0
-(com-)3.668 E(mand,)144 234 Q F2(select)2.647 E F0 .147(command, e)2.647
-F -.15(ve)-.25 G .147(ry arithmetic).15 F F2(for)2.647 E F0 .146
+(com-)3.668 E(mand,)144 262.8 Q F2(select)2.647 E F0 .147(command, e)
+2.647 F -.15(ve)-.25 G .147(ry arithmetic).15 F F2(for)2.647 E F0 .146
 (command, and before the \214rst command e)2.647 F -.15(xe)-.15 G .146
-(cutes in a).15 F .145(shell function \(see)144 246 R F3 .145
+(cutes in a).15 F .145(shell function \(see)144 274.8 R F3 .145
 (SHELL GRAMMAR)2.645 F F0(abo)2.395 E -.15(ve)-.15 G 2.646(\). Refer).15
 F .146(to the description of the)2.646 F F1(extdeb)2.646 E(ug)-.2 E F0
-.146(option to)2.646 F(the)144 258 Q F1(shopt)3.201 E F0 -.2(bu)3.201 G
-.7(iltin for details of its ef).2 F .7(fect on the)-.25 F F1(DEB)3.2 E
+.146(option to)2.646 F(the)144 286.8 Q F1(shopt)3.201 E F0 -.2(bu)3.201
+G .7(iltin for details of its ef).2 F .7(fect on the)-.25 F F1(DEB)3.2 E
 (UG)-.1 E F0 3.2(trap. If)3.2 F(a)3.2 E F2(sigspec)3.54 E F0(is)3.51 E
-F3(RETURN)3.2 E F4(,)A F0 .7(the com-)2.95 F(mand)144 270 Q F2(ar)3.473
-E(g)-.37 E F0 .643(is e)3.363 F -.15(xe)-.15 G .643
+F3(RETURN)3.2 E F4(,)A F0 .7(the com-)2.95 F(mand)144 298.8 Q F2(ar)
+3.473 E(g)-.37 E F0 .643(is e)3.363 F -.15(xe)-.15 G .643
 (cuted each time a shell function or a script e).15 F -.15(xe)-.15 G
 .644(cuted with the).15 F F1(.)3.144 E F0(or)3.144 E F1(sour)3.144 E(ce)
--.18 E F0 -.2(bu)3.144 G(iltins).2 E(\214nishes e)144 282 Q -.15(xe)-.15
-G(cuting.).15 E .929(If a)144 300 R F2(sigspec)3.769 E F0(is)3.739 E F3
-(ERR)3.429 E F4(,)A F0 .929(the command)3.179 F F2(ar)3.759 E(g)-.37 E
-F0 .929(is e)3.649 F -.15(xe)-.15 G .929(cuted whene).15 F -.15(ve)-.25
-G 3.429(ras).15 G .928(imple command has a non\255zero)-3.429 F -.15(ex)
-144 312 S 1.008(it status, subject to the follo).15 F 1.009
-(wing conditions.)-.25 F(The)6.009 E F3(ERR)3.509 E F0 1.009
+-.18 E F0 -.2(bu)3.144 G(iltins).2 E(\214nishes e)144 310.8 Q -.15(xe)
+-.15 G(cuting.).15 E .929(If a)144 328.8 R F2(sigspec)3.769 E F0(is)
+3.739 E F3(ERR)3.429 E F4(,)A F0 .929(the command)3.179 F F2(ar)3.759 E
+(g)-.37 E F0 .929(is e)3.649 F -.15(xe)-.15 G .929(cuted whene).15 F
+-.15(ve)-.25 G 3.429(ras).15 G .928(imple command has a non\255zero)
+-3.429 F -.15(ex)144 340.8 S 1.008(it status, subject to the follo).15 F
+1.009(wing conditions.)-.25 F(The)6.009 E F3(ERR)3.509 E F0 1.009
 (trap is not e)3.259 F -.15(xe)-.15 G 1.009(cuted if the f).15 F 1.009
 (ailed com-)-.1 F .324
-(mand is part of the command list immediately follo)144 324 R .324
+(mand is part of the command list immediately follo)144 352.8 R .324
 (wing a)-.25 F F1(while)2.824 E F0(or)2.824 E F1(until)2.824 E F0 -.1
 (ke)2.824 G(yw)-.05 E .324(ord, part of the test)-.1 F .151(in an)144
-336 R F2(if)2.661 E F0 .151(statement, part of a command e)4.611 F -.15
-(xe)-.15 G .151(cuted in a).15 F F1(&&)2.651 E F0(or)2.651 E F1(||)2.651
-E F0 .151(list, or if the command')2.651 F 2.651(sr)-.55 G .151(eturn v)
--2.651 F(alue)-.25 E(is being in)144 348 Q -.15(ve)-.4 G(rted via).15 E
-F1(!)2.5 E F0 5(.T)C(hese are the same conditions obe)-5 E(yed by the)
--.15 E F1(err)2.5 E(exit)-.18 E F0(option.)2.5 E 1.095
+364.8 R F2(if)2.661 E F0 .151(statement, part of a command e)4.611 F
+-.15(xe)-.15 G .151(cuted in a).15 F F1(&&)2.651 E F0(or)2.651 E F1(||)
+2.651 E F0 .151(list, or if the command')2.651 F 2.651(sr)-.55 G .151
+(eturn v)-2.651 F(alue)-.25 E(is being in)144 376.8 Q -.15(ve)-.4 G
+(rted via).15 E F1(!)2.5 E F0 5(.T)C(hese are the same conditions obe)-5
+E(yed by the)-.15 E F1(err)2.5 E(exit)-.18 E F0(option.)2.5 E 1.095
 (Signals ignored upon entry to the shell cannot be trapped or reset.)144
-366 R -.35(Tr)6.095 G 1.095(apped signals that are not).35 F .662
-(being ignored are reset to their original v)144 378 R .662
+394.8 R -.35(Tr)6.095 G 1.095(apped signals that are not).35 F .662
+(being ignored are reset to their original v)144 406.8 R .662
 (alues in a subshell or subshell en)-.25 F .662(vironment when one is)
--.4 F 2.5(created. The)144 390 R(return status is f)2.5 E(alse if an)-.1
-E(y)-.15 E F2(sigspec)2.84 E F0(is in)2.81 E -.25(va)-.4 G
+-.4 F 2.5(created. The)144 418.8 R(return status is f)2.5 E(alse if an)
+-.1 E(y)-.15 E F2(sigspec)2.84 E F0(is in)2.81 E -.25(va)-.4 G
 (lid; otherwise).25 E F1(trap)2.5 E F0(returns true.)2.5 E F1(type)108
-406.8 Q F0([)2.5 E F1(\255aftpP)A F0(])A F2(name)2.5 E F0([)2.5 E F2
-(name)A F0(...])2.5 E -.4(Wi)144 418.8 S .174
+435.6 Q F0([)2.5 E F1(\255aftpP)A F0(])A F2(name)2.5 E F0([)2.5 E F2
+(name)A F0(...])2.5 E -.4(Wi)144 447.6 S .174
 (th no options, indicate ho).4 F 2.674(we)-.25 G(ach)-2.674 E F2(name)
 3.034 E F0 -.1(wo)2.854 G .173
 (uld be interpreted if used as a command name.).1 F .173(If the)5.173 F
-F1<ad74>144 430.8 Q F0 .842(option is used,)3.342 F F1(type)3.342 E F0
+F1<ad74>144 459.6 Q F0 .842(option is used,)3.342 F F1(type)3.342 E F0
 .843(prints a string which is one of)3.343 F F2(alias)3.343 E F0(,).27 E
 F2 -.1(ke)3.343 G(ywor)-.2 E(d)-.37 E F0(,).77 E F2(function)3.343 E F0
 (,).24 E F2 -.2(bu)3.343 G(iltin).2 E F0 3.343(,o).24 G(r)-3.343 E F2
-(\214le)5.253 E F0(if)3.523 E F2(name)144.36 442.8 Q F0 .087
+(\214le)5.253 E F0(if)3.523 E F2(name)144.36 471.6 Q F0 .087
 (is an alias, shell reserv)2.767 F .087(ed w)-.15 F .087
 (ord, function, b)-.1 F .086(uiltin, or disk \214le, respecti)-.2 F -.15
 (ve)-.25 G(ly).15 E 5.086(.I)-.65 G 2.586(ft)-5.086 G(he)-2.586 E F2
 (name)2.946 E F0 .086(is not)2.766 F .118
-(found, then nothing is printed, and an e)144 454.8 R .118
+(found, then nothing is printed, and an e)144 483.6 R .118
 (xit status of f)-.15 F .118(alse is returned.)-.1 F .119(If the)5.119 F
 F1<ad70>2.619 E F0 .119(option is used,)2.619 F F1(type)2.619 E F0 .855
-(either returns the name of the disk \214le that w)144 466.8 R .855
+(either returns the name of the disk \214le that w)144 495.6 R .855
 (ould be e)-.1 F -.15(xe)-.15 G .855(cuted if).15 F F2(name)3.715 E F0
 .855(were speci\214ed as a com-)3.535 F .64(mand name, or nothing if)144
-478.8 R/F5 10/Courier@0 SF .64(type -t name)3.14 F F0 -.1(wo)3.14 G .641
+507.6 R/F5 10/Courier@0 SF .64(type -t name)3.14 F F0 -.1(wo)3.14 G .641
 (uld not return).1 F F2(\214le)3.141 E F0 5.641(.T).18 G(he)-5.641 E F1
 <ad50>3.141 E F0 .641(option forces a)3.141 F F3 -.666(PA)3.141 G(TH)
--.189 E F0 .113(search for each)144 490.8 R F2(name)2.613 E F0 2.613(,e)
+-.189 E F0 .113(search for each)144 519.6 R F2(name)2.613 E F0 2.613(,e)
 C -.15(ve)-2.863 G 2.613(ni).15 G(f)-2.613 E F5 .113(type -t name)2.613
 F F0 -.1(wo)2.613 G .113(uld not return).1 F F2(\214le)2.613 E F0 5.113
 (.I).18 G 2.613(fa)-5.113 G .112(command is hashed,)-.001 F F1<ad70>
-2.612 E F0(and)144 502.8 Q F1<ad50>3.23 E F0 .73(print the hashed v)3.23
+2.612 E F0(and)144 531.6 Q F1<ad50>3.23 E F0 .73(print the hashed v)3.23
 F .731
 (alue, which is not necessarily the \214le that appears \214rst in)-.25
 F F3 -.666(PA)3.231 G(TH)-.189 E F4(.)A F0 .731(If the)5.231 F F1<ad61>
-144 514.8 Q F0 1.749(option is used,)4.249 F F1(type)4.248 E F0 1.748
+144 543.6 Q F0 1.749(option is used,)4.249 F F1(type)4.248 E F0 1.748
 (prints all of the places that contain an e)4.248 F -.15(xe)-.15 G 1.748
 (cutable named).15 F F2(name)4.248 E F0 6.748(.T).18 G(his)-6.748 E .744
-(includes aliases and functions, if and only if the)144 526.8 R F1<ad70>
+(includes aliases and functions, if and only if the)144 555.6 R F1<ad70>
 3.244 E F0 .744(option is not also used.)3.244 F .744
 (The table of hashed)5.744 F 1.223(commands is not consulted when using)
-144 538.8 R F1<ad61>3.723 E F0 6.223(.T)C(he)-6.223 E F1<ad66>3.723 E F0
+144 567.6 R F1<ad61>3.723 E F0 6.223(.T)C(he)-6.223 E F1<ad66>3.723 E F0
 1.223(option suppresses shell function lookup, as)3.723 F .325(with the)
-144 550.8 R F1(command)2.825 E F0 -.2(bu)2.825 G(iltin.).2 E F1(type)
+144 579.6 R F1(command)2.825 E F0 -.2(bu)2.825 G(iltin.).2 E F1(type)
 5.325 E F0 .325(returns true if all of the ar)2.825 F .326
 (guments are found, f)-.18 F .326(alse if an)-.1 F 2.826(ya)-.15 G .326
-(re not)-2.826 F(found.)144 562.8 Q F1(ulimit)108 579.6 Q F0([)2.5 E F1
+(re not)-2.826 F(found.)144 591.6 Q F1(ulimit)108 608.4 Q F0([)2.5 E F1
 (\255HST)A(abcde\214lmnpqrstuvx)-.92 E F0([)2.5 E F2(limit)A F0(]])A
-(Pro)144 591.6 Q .244(vides control o)-.15 F -.15(ve)-.15 G 2.744(rt).15
+(Pro)144 620.4 Q .244(vides control o)-.15 F -.15(ve)-.15 G 2.744(rt).15
 G .244(he resources a)-2.744 F -.25(va)-.2 G .244
 (ilable to the shell and to processes started by it, on systems).25 F
-.943(that allo)144 603.6 R 3.443(ws)-.25 G .943(uch control.)-3.443 F
+.943(that allo)144 632.4 R 3.443(ws)-.25 G .943(uch control.)-3.443 F
 (The)5.943 E F1<ad48>3.443 E F0(and)3.443 E F1<ad53>3.444 E F0 .944
 (options specify that the hard or soft limit is set for the)3.444 F(gi)
-144 615.6 Q -.15(ve)-.25 G 2.709(nr).15 G 2.709(esource. A)-2.709 F .208
+144 644.4 Q -.15(ve)-.25 G 2.709(nr).15 G 2.709(esource. A)-2.709 F .208
 (hard limit cannot be increased by a non-root user once it is set; a so\
-ft limit may)2.709 F .425(be increased up to the v)144 627.6 R .425
+ft limit may)2.709 F .425(be increased up to the v)144 656.4 R .425
 (alue of the hard limit.)-.25 F .426(If neither)5.425 F F1<ad48>2.926 E
 F0(nor)2.926 E F1<ad53>2.926 E F0 .426
 (is speci\214ed, both the soft and)2.926 F .139(hard limits are set.)144
-639.6 R .139(The v)5.139 F .139(alue of)-.25 F F2(limit)2.729 E F0 .139
+668.4 R .139(The v)5.139 F .139(alue of)-.25 F F2(limit)2.729 E F0 .139
 (can be a number in the unit speci\214ed for the resource or one)3.319 F
-.741(of the special v)144 651.6 R(alues)-.25 E F1(hard)3.241 E F0(,)A F1
+.741(of the special v)144 680.4 R(alues)-.25 E F1(hard)3.241 E F0(,)A F1
 (soft)3.241 E F0 3.241(,o)C(r)-3.241 E F1(unlimited)3.241 E F0 3.241(,w)
 C .741(hich stand for the current hard limit, the current)-3.241 F .78
-(soft limit, and no limit, respecti)144 663.6 R -.15(ve)-.25 G(ly).15 E
+(soft limit, and no limit, respecti)144 692.4 R -.15(ve)-.25 G(ly).15 E
 5.78(.I)-.65 G(f)-5.78 E F2(limit)3.37 E F0 .78
 (is omitted, the current v)3.96 F .78(alue of the soft limit of the)-.25
-F .498(resource is printed, unless the)144 675.6 R F1<ad48>2.999 E F0
+F .498(resource is printed, unless the)144 704.4 R F1<ad48>2.999 E F0
 .499(option is gi)2.999 F -.15(ve)-.25 G 2.999(n. When).15 F .499
 (more than one resource is speci\214ed, the)2.999 F
-(limit name and unit are printed before the v)144 687.6 Q 2.5
-(alue. Other)-.25 F(options are interpreted as follo)2.5 E(ws:)-.25 E F1
-<ad61>144 699.6 Q F0(All current limits are reported)25.3 E F1<ad62>144
-711.6 Q F0(The maximum sock)24.74 E(et b)-.1 E(uf)-.2 E(fer size)-.25 E
+(limit name and unit are printed before the v)144 716.4 Q 2.5
+(alue. Other)-.25 F(options are interpreted as follo)2.5 E(ws:)-.25 E
 (GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(21)198.725 E 0 Cg EP
 %%Page: 22 22
 %%BeginPageSetup
